%{
extern "C" int init_itkImageSourcePython();
extern "C" int init_itkFiniteDifferenceFunctionPython();
extern "C" int init_itkFiniteDifferenceImageFilterPython();
extern "C" int init_itkInPlaceImageFilterAPython();
extern "C" int init_itkInPlaceImageFilterBPython();
extern "C" int init_itkImageToImageFilterAPython();
extern "C" int init_itkImageToImageFilterBPython();
extern "C" int init_itkBoxImageFilterPython();
extern "C" int init_itkConstNeighborhoodIteratorPython();
extern "C" int init_itkDenseFiniteDifferenceImageFilterPython();
extern "C" int init_itkImageFunctionPython();
extern "C" int init_itkInterpolateImageFunctionPython();
extern "C" int init_itkKernelImageFilterPython();

%}

%init %{
  init_itkImageSourcePython();
  init_itkFiniteDifferenceFunctionPython();
  init_itkFiniteDifferenceImageFilterPython();
  init_itkInPlaceImageFilterAPython();
  init_itkInPlaceImageFilterBPython();
  init_itkImageToImageFilterAPython();
  init_itkImageToImageFilterBPython();
  init_itkBoxImageFilterPython();
  init_itkConstNeighborhoodIteratorPython();
  init_itkDenseFiniteDifferenceImageFilterPython();
  init_itkImageFunctionPython();
  init_itkInterpolateImageFunctionPython();
  init_itkKernelImageFilterPython();

%}

%pythoncode %{
import ITKPyBasePython
import otbImagesPython
import itkBasePython
import itkVXLNumericsPython
from itkImageSourcePython import *
from itkFiniteDifferenceFunctionPython import *
from itkFiniteDifferenceImageFilterPython import *
from itkInPlaceImageFilterAPython import *
from itkInPlaceImageFilterBPython import *
from itkImageToImageFilterAPython import *
from itkImageToImageFilterBPython import *
from itkBoxImageFilterPython import *
from itkConstNeighborhoodIteratorPython import *
from itkDenseFiniteDifferenceImageFilterPython import *
from itkImageFunctionPython import *
from itkInterpolateImageFunctionPython import *
from itkKernelImageFilterPython import *

%}
