%{
extern "C" int init_otbBandMathImageFilterPython();
extern "C" int init_otbFunctorHillShadingPython();
extern "C" int init_otbHillShadingFilterPython();
extern "C" int init_otbPersistentImageFilterPython();
extern "C" int init_otbStreamingCompareImageFilterPython();
extern "C" int init_otbStreamingMinMaxImageFilterPython();
extern "C" int init_otbStreamingMinMaxVectorImageFilterPython();
extern "C" int init_otbStreamingStatisticsImageFilterPython();
extern "C" int init_otbTransformPython();
extern "C" int init_otbUnaryFunctorNeighborhoodImageFilterPython();

%}

%init %{
  init_otbBandMathImageFilterPython();
  init_otbFunctorHillShadingPython();
  init_otbHillShadingFilterPython();
  init_otbPersistentImageFilterPython();
  init_otbStreamingCompareImageFilterPython();
  init_otbStreamingMinMaxImageFilterPython();
  init_otbStreamingMinMaxVectorImageFilterPython();
  init_otbStreamingStatisticsImageFilterPython();
  init_otbTransformPython();
  init_otbUnaryFunctorNeighborhoodImageFilterPython();

%}

%pythoncode %{
import ITKPyBasePython
import itkIOPython
import itkTransformsPython
import otbImagesPython
import itkCommonPython
import itkBasePython
import itkVXLNumericsPython
from otbBandMathImageFilterPython import *
from otbFunctorHillShadingPython import *
from otbHillShadingFilterPython import *
from otbPersistentImageFilterPython import *
from otbStreamingCompareImageFilterPython import *
from otbStreamingMinMaxImageFilterPython import *
from otbStreamingMinMaxVectorImageFilterPython import *
from otbStreamingStatisticsImageFilterPython import *
from otbTransformPython import *
from otbUnaryFunctorNeighborhoodImageFilterPython import *

%}
