%{
extern "C" int init_otbFunctorLHMIPython();
extern "C" int init_otbFunctorCBAMIPython();
extern "C" int init_otbFunctorMeanDifferencePython();
extern "C" int init_otbFunctorJoinHistogramMIPython();
extern "C" int init_otbFunctorCrossCorrelationPython();
extern "C" int init_otbFunctorMeanRatioPython();
extern "C" int init_otbBinaryFunctorNeighborhoodImageFilterPython();
extern "C" int init_otbBinaryFunctorNeighborhoodJoinHistogramImageFilterPython();
extern "C" int init_otbLHMIChangeDetectorPython();
extern "C" int init_otbCBAMIChangeDetectorPython();
extern "C" int init_otbMeanDifferenceImageFilterPython();
extern "C" int init_otbJoinHistogramMIImageFilterPython();
extern "C" int init_otbCorrelationChangeDetectorPython();
extern "C" int init_otbMeanRatioImageFilterPython();

%}

%init %{
  init_otbFunctorLHMIPython();
  init_otbFunctorCBAMIPython();
  init_otbFunctorMeanDifferencePython();
  init_otbFunctorJoinHistogramMIPython();
  init_otbFunctorCrossCorrelationPython();
  init_otbFunctorMeanRatioPython();
  init_otbBinaryFunctorNeighborhoodImageFilterPython();
  init_otbBinaryFunctorNeighborhoodJoinHistogramImageFilterPython();
  init_otbLHMIChangeDetectorPython();
  init_otbCBAMIChangeDetectorPython();
  init_otbMeanDifferenceImageFilterPython();
  init_otbJoinHistogramMIImageFilterPython();
  init_otbCorrelationChangeDetectorPython();
  init_otbMeanRatioImageFilterPython();

%}

%pythoncode %{
import ITKPyBasePython
import otbImagesPython
import itkCommonPython
import itkBasePython
import itkVXLNumericsPython
from otbFunctorLHMIPython import *
from otbFunctorCBAMIPython import *
from otbFunctorMeanDifferencePython import *
from otbFunctorJoinHistogramMIPython import *
from otbFunctorCrossCorrelationPython import *
from otbFunctorMeanRatioPython import *
from otbBinaryFunctorNeighborhoodImageFilterPython import *
from otbBinaryFunctorNeighborhoodJoinHistogramImageFilterPython import *
from otbLHMIChangeDetectorPython import *
from otbCBAMIChangeDetectorPython import *
from otbMeanDifferenceImageFilterPython import *
from otbJoinHistogramMIImageFilterPython import *
from otbCorrelationChangeDetectorPython import *
from otbMeanRatioImageFilterPython import *

%}
