%{
extern "C" int init_otbFlusserMomentsImageFunctionPython();
extern "C" int init_otbHarrisImageFilterPython();
extern "C" int init_otbImageToPointSetFilterPython();
extern "C" int init_otbImageToSURFKeyPointSetFilterPython();
extern "C" int init_otbLocalHistogramImageFunctionPython();
extern "C" int init_otbSiftFastImageFilterPython();

%}

%init %{
  init_otbFlusserMomentsImageFunctionPython();
  init_otbHarrisImageFilterPython();
  init_otbImageToPointSetFilterPython();
  init_otbImageToSURFKeyPointSetFilterPython();
  init_otbLocalHistogramImageFunctionPython();
  init_otbSiftFastImageFilterPython();

%}

%pythoncode %{
import ITKPyBasePython
import otbImagesPython
import itkNumericsPython
import itkCommonPython
import itkBasePython
from otbFlusserMomentsImageFunctionPython import *
from otbHarrisImageFilterPython import *
from otbImageToPointSetFilterPython import *
from otbImageToSURFKeyPointSetFilterPython import *
from otbLocalHistogramImageFunctionPython import *
from otbSiftFastImageFilterPython import *

%}
