%{
extern "C" int init_otbEllipsoidAdapterPython();
extern "C" int init_otbGCPsToRPCSensorModelImageFilterPython();
extern "C" int init_otbGenericRSResampleImageFilterPython();
extern "C" int init_otbGenericRSTransformPython();
extern "C" int init_otbMapProjectionAdapterPython();
extern "C" int init_otbOrthoRectificationFilterPython();
extern "C" int init_otbPhysicalToRPCSensorModelImageFilterPython();
extern "C" int init_otbRPCProjectionAdapterPython();
extern "C" int init_otbSensorModelPython();

%}

%init %{
  init_otbEllipsoidAdapterPython();
  init_otbGCPsToRPCSensorModelImageFilterPython();
  init_otbGenericRSResampleImageFilterPython();
  init_otbGenericRSTransformPython();
  init_otbMapProjectionAdapterPython();
  init_otbOrthoRectificationFilterPython();
  init_otbPhysicalToRPCSensorModelImageFilterPython();
  init_otbRPCProjectionAdapterPython();
  init_otbSensorModelPython();

%}

%pythoncode %{
import ITKPyBasePython
import otbBasicFiltersPython
import otbResamplingPython
import otbImagesPython
import itkSimpleFiltersPython
import itkTransformsPython
import itkCommonPython
import itkBasePython
from otbEllipsoidAdapterPython import *
from otbGCPsToRPCSensorModelImageFilterPython import *
from otbGenericRSResampleImageFilterPython import *
from otbGenericRSTransformPython import *
from otbMapProjectionAdapterPython import *
from otbOrthoRectificationFilterPython import *
from otbPhysicalToRPCSensorModelImageFilterPython import *
from otbRPCProjectionAdapterPython import *
from otbSensorModelPython import *

%}
