%{
extern "C" int init_otbDEMToImageGeneratorPython();
extern "C" int init_otbImageFileReaderPython();
extern "C" int init_otbImageFileWriterPython();
extern "C" int init_otbStreamingImageFileWriterPython();
extern "C" int init_otbVectorDataFileReaderPython();
extern "C" int init_otbVectorDataFileWriterPython();

%}

%init %{
  init_otbDEMToImageGeneratorPython();
  init_otbImageFileReaderPython();
  init_otbImageFileWriterPython();
  init_otbStreamingImageFileWriterPython();
  init_otbVectorDataFileReaderPython();
  init_otbVectorDataFileWriterPython();

%}

%pythoncode %{
import ITKPyBasePython
import itkIOPython
import itkTransformsPython
import itkCommonPython
import otbVectorDatasPython
import otbImagesPython
import itkBasePython
import itkVXLNumericsPython
from otbDEMToImageGeneratorPython import *
from otbImageFileReaderPython import *
from otbImageFileWriterPython import *
from otbStreamingImageFileWriterPython import *
from otbVectorDataFileReaderPython import *
from otbVectorDataFileWriterPython import *

%}
