depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementUS2', 'unsigned short,2'),
  ('BinaryBallStructuringElement', 'itk::BinaryBallStructuringElement', 'itkBinaryBallStructuringElementF2', 'float,2'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryThinningImageFilter', 'itk::BinaryThinningImageFilter', 'itkBinaryThinningImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryThinningImageFilter', 'itk::BinaryThinningImageFilter', 'itkBinaryThinningImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
)
