depends = ('ITKPyBase', 'otbImages', 'itkNumerics', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUS2', 'otb::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIUS2', 'otb::Image< unsigned short,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIIUS2', 'itk::Image< unsigned short,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIF2', 'otb::Image< float,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIIF2', 'itk::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF2', 'otb::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIIF2', 'itk::Image< float,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIUS2', 'otb::Image< unsigned short,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIF2', 'otb::Image< float,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIIF2', 'itk::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF2', 'otb::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIIF2', 'itk::Image< float,2 >'),
)
