depends = ('ITKPyBase', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIF2', 'otb::Image< float,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIIF2', 'itk::Image< float,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('CheckerBoardImageFilter', 'itk::CheckerBoardImageFilter', 'itkCheckerBoardImageFilterIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('Compose2DCovariantVectorImageFilter', 'itk::Compose2DCovariantVectorImageFilter', 'itkCompose2DCovariantVectorImageFilterIF2ICVF22', 'otb::Image< float,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('Compose2DCovariantVectorImageFilter', 'itk::Compose2DCovariantVectorImageFilter', 'itkCompose2DCovariantVectorImageFilterIIF2IICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('Compose2DVectorImageFilter', 'itk::Compose2DVectorImageFilter', 'itkCompose2DVectorImageFilterIF2IVF22', 'otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('Compose2DVectorImageFilter', 'itk::Compose2DVectorImageFilter', 'itkCompose2DVectorImageFilterIIF2IIVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ComposeRGBAImageFilter', 'itk::ComposeRGBAImageFilter', 'itkComposeRGBAImageFilterIUS2IRGBAUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ComposeRGBAImageFilter', 'itk::ComposeRGBAImageFilter', 'itkComposeRGBAImageFilterIIUS2IIRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ComposeRGBImageFilter', 'itk::ComposeRGBImageFilter', 'itkComposeRGBImageFilterIUS2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ComposeRGBImageFilter', 'itk::ComposeRGBImageFilter', 'itkComposeRGBImageFilterIIUS2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToVectorImageFilter', 'itk::ImageToVectorImageFilter', 'itkImageToVectorImageFilterIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageToVectorImageFilter', 'itk::ImageToVectorImageFilter', 'itkImageToVectorImageFilterIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageToVectorImageFilter', 'itk::ImageToVectorImageFilter', 'itkImageToVectorImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageToVectorImageFilter', 'itk::ImageToVectorImageFilter', 'itkImageToVectorImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageToVectorImageFilter', 'itk::ImageToVectorImageFilter', 'itkImageToVectorImageFilterIF2', 'otb::Image< float,2 >'),
  ('ImageToVectorImageFilter', 'itk::ImageToVectorImageFilter', 'itkImageToVectorImageFilterIIF2', 'itk::Image< float,2 >'),
  ('PasteImageFilter', 'itk::PasteImageFilter', 'itkPasteImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('PasteImageFilter', 'itk::PasteImageFilter', 'itkPasteImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('PasteImageFilter', 'itk::PasteImageFilter', 'itkPasteImageFilterIF2', 'otb::Image< float,2 >'),
  ('PasteImageFilter', 'itk::PasteImageFilter', 'itkPasteImageFilterIIF2', 'itk::Image< float,2 >'),
  ('RGBToLuminanceImageFilter', 'itk::RGBToLuminanceImageFilter', 'itkRGBToLuminanceImageFilterIRGBUS2IUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('RGBToLuminanceImageFilter', 'itk::RGBToLuminanceImageFilter', 'itkRGBToLuminanceImageFilterIIRGBUS2IIUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('RGBToLuminanceImageFilter', 'itk::RGBToLuminanceImageFilter', 'itkRGBToLuminanceImageFilterIRGBAUS2IUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('RGBToLuminanceImageFilter', 'itk::RGBToLuminanceImageFilter', 'itkRGBToLuminanceImageFilterIIRGBAUS2IIUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RegionOfInterestImageFilter', 'itk::RegionOfInterestImageFilter', 'itkRegionOfInterestImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TileImageFilter', 'itk::TileImageFilter', 'itkTileImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('TileImageFilter', 'itk::TileImageFilter', 'itkTileImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('TileImageFilter', 'itk::TileImageFilter', 'itkTileImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('TileImageFilter', 'itk::TileImageFilter', 'itkTileImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterVIUC2IUC2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterVIUS2IUS2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterVIF2IF2', 'otb::VectorImage< float,2 >,otb::Image< float,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterIRGBUS2IUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterIIRGBUS2IIUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterIVF22IF2', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< float,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterIIVF22IIF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterIRGBAUS2IUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('VectorIndexSelectionCastImageFilter', 'itk::VectorIndexSelectionCastImageFilter', 'itkVectorIndexSelectionCastImageFilterIIRGBAUS2IIUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
)
