depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('ApproximateSignedDistanceMapImageFilter', 'itk::ApproximateSignedDistanceMapImageFilter', 'itkApproximateSignedDistanceMapImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ApproximateSignedDistanceMapImageFilter', 'itk::ApproximateSignedDistanceMapImageFilter', 'itkApproximateSignedDistanceMapImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('FastChamferDistanceImageFilter', 'itk::FastChamferDistanceImageFilter', 'itkFastChamferDistanceImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('FastChamferDistanceImageFilter', 'itk::FastChamferDistanceImageFilter', 'itkFastChamferDistanceImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
)
