depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS2USF', 'otb::VectorImage< unsigned short,2 >, unsigned short, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2USF', 'otb::VectorImage< float,2 >, unsigned short, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUS2F', 'otb::Image< unsigned short,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF2F', 'otb::Image< float,2 >, float'),
  ('ChangeLabelImageFilter', 'itk::ChangeLabelImageFilter', 'itkChangeLabelImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ChangeLabelImageFilter', 'itk::ChangeLabelImageFilter', 'itkChangeLabelImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIIUS2IIUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('KLMRegionGrowImageFilter', 'itk::KLMRegionGrowImageFilter', 'itkKLMRegionGrowImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >,otb::Image< itk::Vector< float,2 >,2 >'),
  ('LabelVotingImageFilter', 'itk::LabelVotingImageFilter', 'itkLabelVotingImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('LabelVotingImageFilter', 'itk::LabelVotingImageFilter', 'itkLabelVotingImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIUS2', 'otb::Image< unsigned short,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIIUS2', 'itk::Image< unsigned short,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIF2', 'otb::Image< float,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIIF2', 'itk::Image< float,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionGrowImageFilter', 'itk::RegionGrowImageFilter', 'itkRegionGrowImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >,otb::Image< itk::Vector< float,2 >,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL2IUS2', 'otb::Image< unsigned long,2 >, otb::Image< unsigned short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIIUL2IIUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIF2', 'otb::Image< float,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIIF2', 'itk::Image< float,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF2', 'otb::Image< float,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIIF2', 'itk::Image< float,2 >'),
  ('VoronoiSegmentationImageFilter', 'itk::VoronoiSegmentationImageFilter', 'itkVoronoiSegmentationImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('VoronoiSegmentationImageFilter', 'itk::VoronoiSegmentationImageFilter', 'itkVoronoiSegmentationImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF2', 'otb::Image< float,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIIF2', 'itk::Image< float,2 >'),
)
