depends = ('ITKPyBase', 'itkTransforms', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2ID2', 'otb::Image< double,2 >, otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIID2IID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IF2', 'otb::Image< double,2 >, otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIID2IIF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUC2', 'otb::Image< double,2 >, otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIID2IIUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUL2', 'otb::Image< double,2 >, otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIID2IIUL2', 'itk::Image< double,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUS2', 'otb::Image< double,2 >, otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIID2IIUS2', 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUL2', 'otb::Image< float,2 >, otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIF2IIUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >, otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >, otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUL2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUC2IIUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >, otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUS2IIUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVID2VID2', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IF2', 'otb::Image< double,2 >,otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVID2VIF2', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUC2', 'otb::Image< double,2 >,otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVID2VIUC2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUL2', 'otb::Image< double,2 >,otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVID2VIUL2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2IUS2', 'otb::Image< double,2 >,otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVID2VIUS2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2ID2', 'otb::Image< float,2 >,otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIF2VID2', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUC2', 'otb::Image< float,2 >,otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIF2VIUC2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUL2', 'otb::Image< float,2 >,otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIF2VIUL2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUS2', 'otb::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIF2VIUS2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >,otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUC2VID2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >,otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUC2VIF2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUC2VIUC2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUL2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUC2VIUL2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUC2VIUS2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2ID2', 'otb::Image< unsigned long,2 >,otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUL2VID2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IF2', 'otb::Image< unsigned long,2 >,otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUL2VIF2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IUC2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUL2VIUC2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IUL2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUL2VIUL2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2IUS2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUL2VIUS2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >,otb::Image< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUS2VID2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< double,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >,otb::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUS2VIF2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUS2VIUC2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUS2VIUL2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned long,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterVIUS2VIUS2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF2', 'otb::Image< float,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIIF2', 'itk::Image< float,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF2', 'otb::Image< float,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIIF2', 'itk::Image< float,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF2', 'otb::Image< float,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIIF2', 'itk::Image< float,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageRegionSplitter', 'itk::ImageRegionSplitter', 'itkImageRegionSplitter2', '2'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS2', 'unsigned short,2'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF2', 'float,2'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF2', 'otb::Image< float,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIIF2', 'itk::Image< float,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS2', 'otb::Image< unsigned short,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIIUS2', 'itk::Image< unsigned short,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF2', 'otb::Image< float,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIIF2', 'itk::Image< float,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('VTKImageExportBase', 'itk::VTKImageExportBase', 'itkVTKImageExportBase'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS2', 'otb::Image< unsigned short,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIIUS2', 'itk::Image< unsigned short,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF2', 'otb::Image< float,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIIF2', 'itk::Image< float,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC2', 'otb::Image< unsigned char,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIIUC2', 'itk::Image< unsigned char,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUL2', 'otb::Image< unsigned long,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIIUL2', 'itk::Image< unsigned long,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS2', 'otb::Image< unsigned short,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIIUS2', 'itk::Image< unsigned short,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF2', 'otb::Image< float,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIIF2', 'itk::Image< float,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC2', 'otb::Image< unsigned char,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIIUC2', 'itk::Image< unsigned char,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUL2', 'otb::Image< unsigned long,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIIUL2', 'itk::Image< unsigned long,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22ICVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIIVF22IICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22IVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIICVF22IIVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUC2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >, otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIIRGBUC2IIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIIRGBUC2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS2IRGBUC2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIIRGBUS2IIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIIRGBUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
)
