depends = ('ITKPyBase', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('TransformBase', 'itk::TransformBase', 'itkTransformBase'),
  ('list', 'std::list', 'listitkTransformBase_Pointer', 'itk::TransformBase'),
  ('Transform', 'itk::Transform', 'itkTransformD22', 'double,2,2'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD22', 'itk::Transform< double,2,2 >'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD22', 'double,2,2'),
  ('Rigid2DTransform', 'itk::Rigid2DTransform', 'itkRigid2DTransformD', 'double'),
  ('Euler2DTransform', 'itk::Euler2DTransform', 'itkEuler2DTransformD', 'double'),
  ('Similarity2DTransform', 'itk::Similarity2DTransform', 'itkSimilarity2DTransformD', 'double'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD2', 'double,2'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD2', 'double,2'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD2', 'double,2'),
  ('CenteredRigid2DTransform', 'itk::CenteredRigid2DTransform', 'itkCenteredRigid2DTransformD', 'double'),
  ('CenteredSimilarity2DTransform', 'itk::CenteredSimilarity2DTransform', 'itkCenteredSimilarity2DTransformD', 'double'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD2', 'double,2'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD2', 'double,2'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD2', 'double,2'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD2', 'double,2'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD2', 'double,2'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD2', 'double,2'),
)
