depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AtanImageFilter', 'itk::AtanImageFilter', 'itkAtanImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AtanImageFilter', 'itk::AtanImageFilter', 'itkAtanImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CosImageFilter', 'itk::CosImageFilter', 'itkCosImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('CosImageFilter', 'itk::CosImageFilter', 'itkCosImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ModulusImageFilter', 'itk::ModulusImageFilter', 'itkModulusImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ModulusImageFilter', 'itk::ModulusImageFilter', 'itkModulusImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SinImageFilter', 'itk::SinImageFilter', 'itkSinImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SinImageFilter', 'itk::SinImageFilter', 'itkSinImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TanImageFilter', 'itk::TanImageFilter', 'itkTanImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('TanImageFilter', 'itk::TanImageFilter', 'itkTanImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
)
