depends = ('ITKPyBase', 'otbImages', 'itkNumerics', 'itkCommon', 'itkBase', )
templates = (
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF2FAD11', 'itk::Point< float,2 > ,itk::FixedArray< double,11 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2FAD11', 'itk::Point< double,2 > ,itk::FixedArray< double,11 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePF2FAD11', 'itk::Point< float,2 > ,itk::FixedArray< double,11 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2FAD11', 'itk::Point< double,2 > ,itk::FixedArray< double,11 >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2FAD11F', 'otb::Image< unsigned short,2 >, itk::FixedArray< double,11 >, float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2FAD11D', 'otb::Image< unsigned short,2 >, itk::FixedArray< double,11 >, double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2FAD11F', 'otb::Image< float,2 >, itk::FixedArray< double,11 >, float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2FAD11D', 'otb::Image< float,2 >, itk::FixedArray< double,11 >, double'),
  ('FlusserMomentsImageFunction', 'otb::FlusserMomentsImageFunction', 'otbFlusserMomentsImageFunctionIUS2', 'otb::Image< unsigned short,2 >'),
  ('FlusserMomentsImageFunction', 'otb::FlusserMomentsImageFunction', 'otbFlusserMomentsImageFunctionIF2', 'otb::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >, otb::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >, otb::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >, otb::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterID2IUS2', 'otb::Image< double,2 >, otb::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIID2IIUS2', 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterID2IF2', 'otb::Image< double,2 >, otb::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIID2IIF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterID2IUC2', 'otb::Image< double,2 >, otb::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIID2IIUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterID2ID2', 'otb::Image< double,2 >, otb::Image< double,2 >'),
  ('HarrisImageFilter', 'otb::HarrisImageFilter', 'otbHarrisImageFilterIID2IID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('PointSetSource', 'otb::PointSetSource', 'otbPointSetSourcePSVLVF2', ' itk::PointSet< itk::VariableLengthVector< float >, 2 >'),
  ('PointSetSource', 'otb::PointSetSource', 'otbPointSetSourcePSVLVD2', ' itk::PointSet< itk::VariableLengthVector< double >, 2 >'),
  ('PointSetSource', 'otb::PointSetSource', 'otbPointSetSourcePSVLVUC2', ' itk::PointSet< itk::VariableLengthVector< unsigned char >, 2 >'),
  ('PointSetSource', 'otb::PointSetSource', 'otbPointSetSourcePSVLVUS2', ' itk::PointSet< itk::VariableLengthVector< unsigned short >, 2 >'),
  ('ImageToPointSetFilter', 'otb::ImageToPointSetFilter', 'otbImageToPointSetFilterIF2PSVLVF2', 'otb::Image< float,2 >, itk::PointSet< itk::VariableLengthVector< float >, 2 >'),
  ('ImageToPointSetFilter', 'otb::ImageToPointSetFilter', 'otbImageToPointSetFilterID2PSVLVD2', 'otb::Image< double,2 >, itk::PointSet< itk::VariableLengthVector< double >, 2 >'),
  ('ImageToPointSetFilter', 'otb::ImageToPointSetFilter', 'otbImageToPointSetFilterIUS2PSVLVUS2', 'otb::Image< unsigned short,2 >, itk::PointSet< itk::VariableLengthVector< unsigned short >, 2 >'),
  ('ImageToPointSetFilter', 'otb::ImageToPointSetFilter', 'otbImageToPointSetFilterIUC2PSVLVUC2', 'otb::Image< unsigned char,2 >, itk::PointSet< itk::VariableLengthVector< unsigned char >, 2 >'),
  ('ImageToSURFKeyPointSetFilter', 'otb::ImageToSURFKeyPointSetFilter', 'otbImageToSURFKeyPointSetFilterIF2PSVLVF2', 'otb::Image< float,2 >, itk::PointSet< itk::VariableLengthVector< float >, 2 >'),
  ('ImageToSURFKeyPointSetFilter', 'otb::ImageToSURFKeyPointSetFilter', 'otbImageToSURFKeyPointSetFilterIUS2PSVLVUS2', 'otb::Image< unsigned short,2 >, itk::PointSet< itk::VariableLengthVector< unsigned short >, 2 >'),
  ('ImageToSURFKeyPointSetFilter', 'otb::ImageToSURFKeyPointSetFilter', 'otbImageToSURFKeyPointSetFilterIUC2PSVLVUC2', 'otb::Image< unsigned char,2 >, itk::PointSet< itk::VariableLengthVector< unsigned char >, 2 >'),
  ('FunctionBase', 'itk::FunctionBase', 'itkFunctionBasePD2pHD1', 'itk::Point< double,2 > ,itk::Statistics::Histogram< double, 1 >::Pointer'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID2pHD1D', 'otb::Image< double,2 >, itk::Statistics::Histogram< double, 1 >::Pointer, double'),
  ('LocalHistogramImageFunction', 'otb::LocalHistogramImageFunction', 'otbLocalHistogramImageFunctionID2', 'otb::Image< double,2 >'),
  ('SiftFastImageFilter', 'otb::SiftFastImageFilter', 'otbSiftFastImageFilterIF2PSVLVF2', 'otb::Image< float,2 >, itk::PointSet< itk::VariableLengthVector< float >, 2 >'),
  ('SiftFastImageFilter', 'otb::SiftFastImageFilter', 'otbSiftFastImageFilterIUS2PSVLVUS2', 'otb::Image< unsigned short,2 >, itk::PointSet< itk::VariableLengthVector< unsigned short >, 2 >'),
  ('SiftFastImageFilter', 'otb::SiftFastImageFilter', 'otbSiftFastImageFilterIUC2PSVLVUC2', 'otb::Image< unsigned char,2 >, itk::PointSet< itk::VariableLengthVector< unsigned char >, 2 >'),
)
