depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', )
templates = (
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIUSUS', 'unsigned short,unsigned short'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIFUS', 'float,unsigned short'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIUCUS', 'unsigned char,unsigned short'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIUSF', 'unsigned short,float'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIFF', 'float,float'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIUCF', 'unsigned char,float'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIUSUC', 'unsigned short,unsigned char'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIFUC', 'float,unsigned char'),
  ('ExtractROI', 'otb::ExtractROI', 'otbExtractROIUCUC', 'unsigned char,unsigned char'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUS2IUS2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUS2VIUS2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUS2IF2', 'otb::VectorImage< unsigned short,2 >,otb::Image< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIUS2IF2', 'otb::Image< unsigned short,2 >,otb::Image< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUS2VIF2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUS2IUC2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIUS2IUC2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUS2VIUC2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIF2IUS2', 'otb::VectorImage< float,2 >,otb::Image< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIF2IUS2', 'otb::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIF2VIUS2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIF2IF2', 'otb::VectorImage< float,2 >,otb::Image< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIF2IUC2', 'otb::VectorImage< float,2 >,otb::Image< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIF2IUC2', 'otb::Image< float,2 >,otb::Image< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIF2VIUC2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUC2IUS2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIUC2IUS2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUC2VIUS2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUC2IF2', 'otb::VectorImage< unsigned char,2 >,otb::Image< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIUC2IF2', 'otb::Image< unsigned char,2 >,otb::Image< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUC2VIF2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUC2IUC2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseIUC2IUC2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('ExtractROIBase', 'otb::ExtractROIBase', 'otbExtractROIBaseVIUC2VIUC2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('MultiChannelExtractROI', 'otb::MultiChannelExtractROI', 'otbMultiChannelExtractROIUSUS', 'unsigned short,unsigned short'),
  ('MultiChannelExtractROI', 'otb::MultiChannelExtractROI', 'otbMultiChannelExtractROIUSF', 'unsigned short,float'),
  ('MultiChannelExtractROI', 'otb::MultiChannelExtractROI', 'otbMultiChannelExtractROIFUS', 'float,unsigned short'),
  ('MultiChannelExtractROI', 'otb::MultiChannelExtractROI', 'otbMultiChannelExtractROIFF', 'float,float'),
  ('MultiToMonoChannelExtractROI', 'otb::MultiToMonoChannelExtractROI', 'otbMultiToMonoChannelExtractROIUSUS', 'unsigned short,unsigned short'),
  ('MultiToMonoChannelExtractROI', 'otb::MultiToMonoChannelExtractROI', 'otbMultiToMonoChannelExtractROIUSF', 'unsigned short,float'),
  ('MultiToMonoChannelExtractROI', 'otb::MultiToMonoChannelExtractROI', 'otbMultiToMonoChannelExtractROIFUS', 'float,unsigned short'),
  ('MultiToMonoChannelExtractROI', 'otb::MultiToMonoChannelExtractROI', 'otbMultiToMonoChannelExtractROIFF', 'float,float'),
)
