%{
extern "C" int init_ITKCommonBasePython();
extern "C" int init_ITKRegionsPython();
extern "C" int init_itkArrayPython();
extern "C" int init_itkArray2DPython();
extern "C" int init_itkBoundingBoxPython();
extern "C" int init_itkContinuousIndexPython();
extern "C" int init_itkCovariantVectorPython();
extern "C" int init_itkDefaultDynamicMeshTraitsPython();
extern "C" int init_itkDefaultStaticMeshTraitsPython();
extern "C" int init_itkDensityFunctionPython();
extern "C" int init_itkEventObjectsPython();
extern "C" int init_itkFixedArrayPython();
extern "C" int init_itkFlatStructuringElementPython();
extern "C" int init_itkFunctionBasePython();
extern "C" int init_itkImagePython();
extern "C" int init_itkImageBoundaryConditionPython();
extern "C" int init_itkIndexPython();
extern "C" int init_itkLevelSetPython();
extern "C" int init_itkMapContainerPython();
extern "C" int init_itkMatrixPython();
extern "C" int init_itkMeshPython();
extern "C" int init_itkMetaDataObjectPython();
extern "C" int init_itkNarrowBandPython();
extern "C" int init_itkNeighborhoodPython();
extern "C" int init_itkNeighborhoodAllocatorPython();
extern "C" int init_itkNumericTraitsPython();
extern "C" int init_itkOffsetPython();
extern "C" int init_itkParametricPathPython();
extern "C" int init_itkPathPython();
extern "C" int init_itkPathSourcePython();
extern "C" int init_itkPointPython();
extern "C" int init_itkPointSetPython();
extern "C" int init_itkPolyLineParametricPathPython();
extern "C" int init_itkRGBAPixelPython();
extern "C" int init_itkRGBPixelPython();
extern "C" int init_itkSimpleDataObjectDecoratorPython();
extern "C" int init_itkSizePython();
extern "C" int init_itkVariableLengthVectorPython();
extern "C" int init_itkVectorPython();
extern "C" int init_itkVectorContainerPython();
extern "C" int init_itkVectorImagePython();
extern "C" int init_itkVersorPython();

%}

%init %{
  init_ITKCommonBasePython();
  init_ITKRegionsPython();
  init_itkArrayPython();
  init_itkArray2DPython();
  init_itkBoundingBoxPython();
  init_itkContinuousIndexPython();
  init_itkCovariantVectorPython();
  init_itkDefaultDynamicMeshTraitsPython();
  init_itkDefaultStaticMeshTraitsPython();
  init_itkDensityFunctionPython();
  init_itkEventObjectsPython();
  init_itkFixedArrayPython();
  init_itkFlatStructuringElementPython();
  init_itkFunctionBasePython();
  init_itkImagePython();
  init_itkImageBoundaryConditionPython();
  init_itkIndexPython();
  init_itkLevelSetPython();
  init_itkMapContainerPython();
  init_itkMatrixPython();
  init_itkMeshPython();
  init_itkMetaDataObjectPython();
  init_itkNarrowBandPython();
  init_itkNeighborhoodPython();
  init_itkNeighborhoodAllocatorPython();
  init_itkNumericTraitsPython();
  init_itkOffsetPython();
  init_itkParametricPathPython();
  init_itkPathPython();
  init_itkPathSourcePython();
  init_itkPointPython();
  init_itkPointSetPython();
  init_itkPolyLineParametricPathPython();
  init_itkRGBAPixelPython();
  init_itkRGBPixelPython();
  init_itkSimpleDataObjectDecoratorPython();
  init_itkSizePython();
  init_itkVariableLengthVectorPython();
  init_itkVectorPython();
  init_itkVectorContainerPython();
  init_itkVectorImagePython();
  init_itkVersorPython();

%}

%pythoncode %{
import ITKPyBasePython
import itkVXLNumericsPython
from ITKCommonBasePython import *
from ITKRegionsPython import *
from itkArrayPython import *
from itkArray2DPython import *
from itkBoundingBoxPython import *
from itkContinuousIndexPython import *
from itkCovariantVectorPython import *
from itkDefaultDynamicMeshTraitsPython import *
from itkDefaultStaticMeshTraitsPython import *
from itkDensityFunctionPython import *
from itkEventObjectsPython import *
from itkFixedArrayPython import *
from itkFlatStructuringElementPython import *
from itkFunctionBasePython import *
from itkImagePython import *
from itkImageBoundaryConditionPython import *
from itkIndexPython import *
from itkLevelSetPython import *
from itkMapContainerPython import *
from itkMatrixPython import *
from itkMeshPython import *
from itkMetaDataObjectPython import *
from itkNarrowBandPython import *
from itkNeighborhoodPython import *
from itkNeighborhoodAllocatorPython import *
from itkNumericTraitsPython import *
from itkOffsetPython import *
from itkParametricPathPython import *
from itkPathPython import *
from itkPathSourcePython import *
from itkPointPython import *
from itkPointSetPython import *
from itkPolyLineParametricPathPython import *
from itkRGBAPixelPython import *
from itkRGBPixelPython import *
from itkSimpleDataObjectDecoratorPython import *
from itkSizePython import *
from itkVariableLengthVectorPython import *
from itkVectorPython import *
from itkVectorContainerPython import *
from itkVectorImagePython import *
from itkVersorPython import *

%}
