%{
extern "C" int init_itkBinaryBallStructuringElementPython();
extern "C" int init_itkBinaryDilateImageFilterPython();
extern "C" int init_itkBinaryErodeImageFilterPython();
extern "C" int init_itkBinaryPruningImageFilterPython();
extern "C" int init_itkBinaryThinningImageFilterPython();
extern "C" int init_itkBinaryThresholdImageFilterPython();

%}

%init %{
  init_itkBinaryBallStructuringElementPython();
  init_itkBinaryDilateImageFilterPython();
  init_itkBinaryErodeImageFilterPython();
  init_itkBinaryPruningImageFilterPython();
  init_itkBinaryThinningImageFilterPython();
  init_itkBinaryThresholdImageFilterPython();

%}

%pythoncode %{
import ITKPyBasePython
import otbImagesPython
import itkCommonPython
import itkBasePython
import itkVXLNumericsPython
from itkBinaryBallStructuringElementPython import *
from itkBinaryDilateImageFilterPython import *
from itkBinaryErodeImageFilterPython import *
from itkBinaryPruningImageFilterPython import *
from itkBinaryThinningImageFilterPython import *
from itkBinaryThresholdImageFilterPython import *

%}
