%{
extern "C" int init_otbKMeansImageClassificationFilterPython();
extern "C" int init_otbSVMImageClassificationFilterPython();
extern "C" int init_otbSVMImageModelEstimatorPython();
extern "C" int init_otbSVMModelPython();
extern "C" int init_otbSVMModelEstimatorPython();

%}

%init %{
  init_otbKMeansImageClassificationFilterPython();
  init_otbSVMImageClassificationFilterPython();
  init_otbSVMImageModelEstimatorPython();
  init_otbSVMModelPython();
  init_otbSVMModelEstimatorPython();

%}

%pythoncode %{
import ITKPyBasePython
import otbImagesPython
import itkCommonPython
import itkBasePython
from otbKMeansImageClassificationFilterPython import *
from otbSVMImageClassificationFilterPython import *
from otbSVMImageModelEstimatorPython import *
from otbSVMModelPython import *
from otbSVMModelEstimatorPython import *

%}
