depends = ('ITKPyBase', 'otbImages', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUI2', 'otb::Image< unsigned int,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIUI2', 'itk::Image< unsigned int,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUC2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBAUC2', 'otb::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUL2', 'otb::Image< unsigned long,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIUL2', 'itk::Image< unsigned long,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID2', 'otb::Image< double,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIID2', 'itk::Image< double,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF2', 'otb::Image< float,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIIF2', 'itk::Image< float,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUS2', 'otb::VectorImage< unsigned short,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIF2', 'otb::VectorImage< float,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIIF2', 'itk::VectorImage< float,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICF2', 'otb::VectorImage< std::complex< float >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIICF2', 'itk::VectorImage< std::complex< float >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUC2', 'otb::VectorImage< unsigned char,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVID2', 'otb::VectorImage< double,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIID2', 'itk::VectorImage< double,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUL2', 'otb::VectorImage< unsigned long,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIIUL2', 'itk::VectorImage< unsigned long,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIUI2', 'otb::VectorImage< unsigned int,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVIIUI2', 'itk::VectorImage< unsigned int,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIUS2', 'otb::Image< unsigned short,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIIUS2', 'itk::Image< unsigned short,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIF2', 'otb::Image< float,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIIF2', 'itk::Image< float,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceFunction', 'itk::FiniteDifferenceFunction', 'itkFiniteDifferenceFunctionIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIF2IIF2', 'otb::Image< float,2 > ,itk::Image< float,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIUC2IIUC2', 'otb::Image< unsigned char,2 > ,itk::Image< unsigned char,2 >'),
  ('FiniteDifferenceImageFilter', 'itk::FiniteDifferenceImageFilter', 'itkFiniteDifferenceImageFilterIUS2IIUS2', 'otb::Image< unsigned short,2 > ,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22ICVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIVF22IICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIICVF22IIVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC2IRGBUC2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >, otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUC2IIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUC2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUC2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IRGBUC2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUS2IIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUC2IRGBAUC2', 'otb::Image< itk::RGBAPixel< unsigned char >,2 >, otb::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUC2IIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUC2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned char >,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUC2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IRGBAUC2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUS2IIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUS2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF2ICF2', 'otb::Image< std::complex< float >,2 >, otb::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIICF2IICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2ID2', 'otb::Image< double,2 >, otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IF2', 'otb::Image< double,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IUC2', 'otb::Image< double,2 >, otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IUL2', 'otb::Image< double,2 >, otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIUL2', 'itk::Image< double,2 >, itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IUS2', 'otb::Image< double,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIUS2', 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUL2', 'otb::Image< float,2 >, otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >, otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUL2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >, otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID2VID2', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IID2', 'itk::Image< double,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIID2VIID2', 'itk::VectorImage< double,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IF2', 'otb::Image< double,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID2VIF2', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIF2', 'itk::Image< double,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIID2VIIF2', 'itk::VectorImage< double,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IUC2', 'otb::Image< double,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID2VIUC2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIUC2', 'itk::Image< double,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIID2VIIUC2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IUL2', 'otb::Image< double,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID2VIUL2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIUL2', 'itk::Image< double,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIID2VIIUL2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IUS2', 'otb::Image< double,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID2VIUS2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IIUS2', 'itk::Image< double,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIID2VIIUS2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ID2', 'otb::Image< float,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2VID2', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IID2', 'itk::Image< float,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIF2VIID2', 'itk::VectorImage< float,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIF2', 'itk::Image< float,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIF2VIIF2', 'itk::VectorImage< float,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUC2', 'otb::Image< float,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2VIUC2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIUC2', 'itk::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIF2VIIUC2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUL2', 'otb::Image< float,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2VIUL2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIUL2', 'itk::Image< float,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIF2VIIUL2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IUS2', 'otb::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2VIUS2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIUS2', 'itk::Image< float,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIF2VIIUS2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2VID2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUC2VIID2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2VIF2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUC2VIIF2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2VIUC2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUC2VIIUC2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUL2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2VIUL2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUL2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUC2VIIUL2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2VIUS2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUC2VIIUS2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2ID2', 'otb::Image< unsigned long,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUL2VID2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IID2', 'itk::Image< unsigned long,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUL2VIID2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IF2', 'otb::Image< unsigned long,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUL2VIF2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIF2', 'itk::Image< unsigned long,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUL2VIIF2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUC2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUL2VIUC2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIUC2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUL2VIIUC2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUL2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUL2VIUL2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIUL2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUL2VIIUL2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUS2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUL2VIUS2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIUS2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUL2VIIUS2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2VID2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUS2VIID2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2VIF2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUS2VIIF2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2VIUC2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUS2VIIUC2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2VIUL2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUL2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUS2VIIUL2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2VIUS2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUS2VIIUS2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IRGBUS2', 'otb::Image< unsigned long,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIRGBUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IRGBUS2', 'otb::Image< float,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIRGBUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IUL2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUS2IIUL2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUS2IIUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBUS2IF2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBUS2IIF2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IRGBAUS2', 'otb::Image< unsigned long,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIRGBAUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IRGBAUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IRGBAUS2', 'otb::Image< float,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIRGBAUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IUL2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUS2IIUL2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUS2IIUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIRGBAUS2IF2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIRGBAUS2IIF2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2IUC2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2VIUC2', 'otb::Image< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2IUS2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2VIUC2', 'otb::Image< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2IF2', 'otb::VectorImage< unsigned char,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2VIUC2', 'otb::Image< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2IUC2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2VIUS2', 'otb::Image< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2IUS2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2VIUS2', 'otb::Image< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2IF2', 'otb::VectorImage< unsigned short,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2VIUS2', 'otb::Image< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2IUC2', 'otb::VectorImage< float,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2VIF2', 'otb::Image< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2IUS2', 'otb::VectorImage< float,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2VIF2', 'otb::Image< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2IF2', 'otb::VectorImage< float,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2VIF2', 'otb::Image< float,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2IID2', 'otb::Image< double,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2ID2', 'itk::Image< double,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2VIID2', 'otb::Image< double,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2VIID2', 'itk::Image< double,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID2VID2', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIID2IID2', 'itk::Image< double,2 >,itk::Image< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIID2VIID2', 'itk::VectorImage< double,2 >,itk::VectorImage< double,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IIUC2', 'otb::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IUC2', 'itk::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2VIIUC2', 'otb::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2VIIUC2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUC2VIUC2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUC2VIIUC2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IIF2', 'otb::Image< float,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IF2', 'itk::Image< float,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2VIIF2', 'otb::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2VIIF2', 'itk::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIF2', 'itk::Image< float,2 >,itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIF2VIIF2', 'itk::VectorImage< float,2 >,itk::VectorImage< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IIUS2', 'otb::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IUS2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2VIIUS2', 'otb::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2VIIUS2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUS2VIUS2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUS2VIIUS2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IIUL2', 'otb::Image< unsigned long,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IUL2', 'itk::Image< unsigned long,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2VIIUL2', 'otb::Image< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2VIIUL2', 'itk::Image< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUL2IUL2', 'otb::Image< unsigned long,2 >,otb::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIUL2VIUL2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUL2IIUL2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIIUL2VIIUL2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IUS2', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIVF22IIUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF22IF2', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIVF22IIF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IUS2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIICVF22IIUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICVF22IF2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIICVF22IIF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUS2ICVF22', 'otb::Image< unsigned short,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIUS2IICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2IVF22', 'otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IIVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ICVF22', 'otb::Image< float,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF2ICF2', 'otb::Image< float,2 >, otb::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIIF2IICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterICF2IF2', 'otb::Image< std::complex< float >,2 >, otb::Image< float,2 >'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIICF2IIF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22ICVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIVF22IICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIICVF22IIVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IRGBUC2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >, otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUC2IIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUC2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned char >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUC2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IRGBUC2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUS2IIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUC2IRGBAUC2', 'otb::Image< itk::RGBAPixel< unsigned char >,2 >, otb::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUC2IIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUC2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned char >,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUC2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IRGBAUC2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUS2IIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUS2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2ICF2', 'otb::Image< std::complex< float >,2 >, otb::Image< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIICF2IICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUS2', 'otb::Image< unsigned long,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IRGBUS2', 'otb::Image< unsigned long,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIRGBUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IRGBUS2', 'otb::Image< float,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIRGBUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IUL2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUS2IIUL2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUS2IIUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBUS2IF2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBUS2IIF2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IRGBAUS2', 'otb::Image< unsigned long,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIRGBAUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IRGBAUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IRGBAUS2', 'otb::Image< float,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIRGBAUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IUL2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUS2IIUL2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUS2IIUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIRGBAUS2IF2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIRGBAUS2IIF2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IUC2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIUC2', 'otb::Image< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IIUC2', 'otb::VectorImage< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUC2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IUS2', 'otb::VectorImage< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIUC2', 'otb::Image< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IIUC2', 'otb::VectorImage< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUS2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IF2', 'otb::VectorImage< unsigned char,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIUC2', 'otb::Image< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IIUC2', 'otb::VectorImage< float,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIF2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2ID2', 'otb::VectorImage< unsigned char,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIUC2', 'otb::Image< double,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IIUC2', 'otb::VectorImage< double,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIID2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IUC2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIUS2', 'otb::Image< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IIUS2', 'otb::VectorImage< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUC2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IUS2', 'otb::VectorImage< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIUS2', 'otb::Image< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IIUS2', 'otb::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUS2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IF2', 'otb::VectorImage< unsigned short,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIUS2', 'otb::Image< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IIUS2', 'otb::VectorImage< float,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIF2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2ID2', 'otb::VectorImage< unsigned short,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIUS2', 'otb::Image< double,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IIUS2', 'otb::VectorImage< double,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIID2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IUC2', 'otb::VectorImage< float,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIF2', 'otb::Image< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IIF2', 'otb::VectorImage< unsigned char,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUC2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IUS2', 'otb::VectorImage< float,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIF2', 'otb::Image< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IIF2', 'otb::VectorImage< unsigned short,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUS2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IF2', 'otb::VectorImage< float,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIF2', 'otb::Image< float,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IIF2', 'otb::VectorImage< float,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIF2', 'itk::VectorImage< float,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2ID2', 'otb::VectorImage< float,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIF2', 'otb::Image< double,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IIF2', 'otb::VectorImage< double,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIID2', 'itk::VectorImage< float,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IUC2', 'otb::VectorImage< double,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VID2', 'otb::Image< unsigned char,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2IID2', 'otb::VectorImage< unsigned char,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUC2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IUS2', 'otb::VectorImage< double,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VID2', 'otb::Image< unsigned short,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2IID2', 'otb::VectorImage< unsigned short,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUS2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IF2', 'otb::VectorImage< double,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VID2', 'otb::Image< float,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IID2', 'otb::VectorImage< float,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIF2', 'itk::VectorImage< double,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2ID2', 'otb::VectorImage< double,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VID2', 'otb::Image< double,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2IID2', 'otb::VectorImage< double,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIID2', 'itk::VectorImage< double,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IUS2', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIVF22IIUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IF2', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIVF22IIF2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IUS2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIICVF22IIUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IF2', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIICVF22IIF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ICVF22', 'otb::Image< unsigned short,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IVF22', 'otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ICVF22', 'otb::Image< float,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IIUS2', 'otb::Image< itk::Vector< float,2 >,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IIVF22', 'otb::Image< unsigned short,2 >,itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF22IIF2', 'otb::Image< itk::Vector< float,2 >,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IIVF22', 'otb::Image< float,2 >,itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IIUS2', 'otb::Image< itk::CovariantVector< float,2 >,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IICVF22', 'otb::Image< unsigned short,2 >,itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVF22IIF2', 'otb::Image< itk::CovariantVector< float,2 >,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IICVF22', 'otb::Image< float,2 >,itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ICF2', 'otb::Image< float,2 >, otb::Image< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2IF2', 'otb::Image< std::complex< float >,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIICF2IIF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIUC2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUC2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIUS2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUS2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIF2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIF2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VID2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIID2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIUC2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUC2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIUS2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUS2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIF2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIF2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VID2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIID2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUC2', 'otb::Image< float,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIUC2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUC2', 'itk::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUC2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUS2', 'otb::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIUS2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUS2', 'itk::Image< float,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUS2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIF2', 'itk::Image< float,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIF2', 'itk::VectorImage< float,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ID2', 'otb::Image< float,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VID2', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IID2', 'itk::Image< float,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIID2', 'itk::VectorImage< float,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUC2', 'otb::Image< double,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIUC2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUC2', 'itk::Image< double,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUC2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUS2', 'otb::Image< double,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIUS2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUS2', 'itk::Image< double,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUS2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IF2', 'otb::Image< double,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIF2', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIF2', 'itk::Image< double,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIF2', 'itk::VectorImage< double,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VID2', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IID2', 'itk::Image< double,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIID2', 'itk::VectorImage< double,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUL2', 'otb::Image< float,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUL2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IF2', 'otb::Image< unsigned long,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIF2', 'itk::Image< unsigned long,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUS2', 'otb::Image< unsigned long,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUC2', 'otb::Image< unsigned long,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IUL2', 'otb::Image< unsigned long,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IIUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2ID2', 'otb::Image< unsigned long,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IID2', 'itk::Image< unsigned long,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IF2', 'otb::Image< double,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUS2', 'otb::Image< double,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUS2', 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUC2', 'otb::Image< double,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUL2', 'otb::Image< double,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUL2', 'itk::Image< double,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2ID2', 'otb::Image< double,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2ID2', 'otb::Image< double,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IF2', 'otb::Image< double,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUC2', 'otb::Image< double,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUL2', 'otb::Image< double,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUL2', 'itk::Image< double,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IUS2', 'otb::Image< double,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IIUS2', 'itk::Image< double,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ID2', 'otb::Image< float,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUC2', 'otb::Image< float,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUL2', 'otb::Image< float,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2ID2', 'otb::Image< unsigned char,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IF2', 'otb::Image< unsigned char,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUC2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUL2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IUS2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IIUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >, otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IID2', 'itk::Image< unsigned short,2 >, itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >, otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUC2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUL2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IIF2', 'otb::Image< float,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IF2', 'itk::Image< float,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIIF2', 'otb::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2VIIF2', 'itk::Image< float,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIF2', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIF2', 'itk::VectorImage< float,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IIUS2', 'otb::Image< float,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IUS2', 'itk::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIIUS2', 'otb::Image< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2VIIUS2', 'itk::Image< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIUS2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUS2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IIUC2', 'otb::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IUC2', 'itk::Image< float,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIIUC2', 'otb::Image< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2VIIUC2', 'itk::Image< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIUC2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUC2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IIUL2', 'otb::Image< float,2 >,itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2IUL2', 'itk::Image< float,2 >,otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIIUL2', 'otb::Image< float,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2VIIUL2', 'itk::Image< float,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VIUL2', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIIUL2', 'itk::VectorImage< float,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IID2', 'otb::Image< float,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2ID2', 'itk::Image< float,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VIID2', 'otb::Image< float,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIF2VIID2', 'itk::Image< float,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2VID2', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIF2VIID2', 'itk::VectorImage< float,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IIF2', 'otb::Image< unsigned short,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IF2', 'itk::Image< unsigned short,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIIF2', 'otb::Image< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2VIIF2', 'itk::Image< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIF2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIF2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IIUS2', 'otb::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IUS2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIIUS2', 'otb::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2VIIUS2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIUS2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUS2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IIUC2', 'otb::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IUC2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIIUC2', 'otb::Image< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2VIIUC2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIUC2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUC2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IIUL2', 'otb::Image< unsigned short,2 >,itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2IUL2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIIUL2', 'otb::Image< unsigned short,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2VIIUL2', 'itk::Image< unsigned short,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VIUL2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIIUL2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IID2', 'otb::Image< unsigned short,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2ID2', 'itk::Image< unsigned short,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2VIID2', 'otb::Image< unsigned short,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUS2VIID2', 'itk::Image< unsigned short,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUS2VID2', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUS2VIID2', 'itk::VectorImage< unsigned short,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IIF2', 'otb::Image< unsigned char,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IF2', 'itk::Image< unsigned char,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIIF2', 'otb::Image< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2VIIF2', 'itk::Image< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIF2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIF2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IIUS2', 'otb::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IUS2', 'itk::Image< unsigned char,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIIUS2', 'otb::Image< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2VIIUS2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIUS2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUS2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IIUC2', 'otb::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IUC2', 'itk::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIIUC2', 'otb::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2VIIUC2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIUC2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUC2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IIUL2', 'otb::Image< unsigned char,2 >,itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2IUL2', 'itk::Image< unsigned char,2 >,otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIIUL2', 'otb::Image< unsigned char,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2VIIUL2', 'itk::Image< unsigned char,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VIUL2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIIUL2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IID2', 'otb::Image< unsigned char,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2ID2', 'itk::Image< unsigned char,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2VIID2', 'otb::Image< unsigned char,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUC2VIID2', 'itk::Image< unsigned char,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUC2VID2', 'otb::VectorImage< unsigned char,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUC2VIID2', 'itk::VectorImage< unsigned char,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IIF2', 'otb::Image< unsigned long,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IF2', 'itk::Image< unsigned long,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2VIIF2', 'otb::Image< unsigned long,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2VIIF2', 'itk::Image< unsigned long,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUL2VIF2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUL2VIIF2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IIUS2', 'otb::Image< unsigned long,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IUS2', 'itk::Image< unsigned long,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2VIIUS2', 'otb::Image< unsigned long,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2VIIUS2', 'itk::Image< unsigned long,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUL2VIUS2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUL2VIIUS2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IIUC2', 'otb::Image< unsigned long,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IUC2', 'itk::Image< unsigned long,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2VIIUC2', 'otb::Image< unsigned long,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2VIIUC2', 'itk::Image< unsigned long,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUL2VIUC2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUL2VIIUC2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IIUL2', 'otb::Image< unsigned long,2 >,itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2IUL2', 'itk::Image< unsigned long,2 >,otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2VIIUL2', 'otb::Image< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2VIIUL2', 'itk::Image< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUL2VIUL2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUL2VIIUL2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2IID2', 'otb::Image< unsigned long,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2ID2', 'itk::Image< unsigned long,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUL2VIID2', 'otb::Image< unsigned long,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIIUL2VIID2', 'itk::Image< unsigned long,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIUL2VID2', 'otb::VectorImage< unsigned long,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIIUL2VIID2', 'itk::VectorImage< unsigned long,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IIF2', 'otb::Image< double,2 >,itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IF2', 'itk::Image< double,2 >,otb::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIIF2', 'otb::Image< double,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2VIIF2', 'itk::Image< double,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIF2', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIF2', 'itk::VectorImage< double,2 >,itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IIUS2', 'otb::Image< double,2 >,itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IUS2', 'itk::Image< double,2 >,otb::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIIUS2', 'otb::Image< double,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2VIIUS2', 'itk::Image< double,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIUS2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUS2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IIUC2', 'otb::Image< double,2 >,itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IUC2', 'itk::Image< double,2 >,otb::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIIUC2', 'otb::Image< double,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2VIIUC2', 'itk::Image< double,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIUC2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUC2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IIUL2', 'otb::Image< double,2 >,itk::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2IUL2', 'itk::Image< double,2 >,otb::Image< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIIUL2', 'otb::Image< double,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2VIIUL2', 'itk::Image< double,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VIUL2', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIIUL2', 'itk::VectorImage< double,2 >,itk::VectorImage< unsigned long,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IID2', 'otb::Image< double,2 >,itk::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2ID2', 'itk::Image< double,2 >,otb::Image< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VIID2', 'otb::Image< double,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIID2VIID2', 'itk::Image< double,2 >,itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2VID2', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIID2VIID2', 'itk::VectorImage< double,2 >,itk::VectorImage< double,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIF2IF2', 'itk::Image< float,2 >,otb::Image< float,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIUS2IUS2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterIIUC2IUC2', 'itk::Image< unsigned char,2 >,otb::Image< unsigned char,2 >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIF2ZFNIF2', 'otb::Image< float,2 >,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< float,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIIF2ZFNIIF2', 'itk::Image< float,2 >,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< float,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIUS2ZFNIF2', 'otb::Image< unsigned short,2 >,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< unsigned short,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIIUS2ZFNIIF2', 'itk::Image< unsigned short,2 >,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< unsigned short,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIRGBUS2ZFNIF2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIIRGBUS2ZFNIIF2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIRGBAUS2ZFNIF2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< itk::RGBAPixel< unsigned short >,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIIRGBAUS2ZFNIIF2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< itk::RGBAPixel< unsigned short >,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIVF22ZFNIVF2', 'otb::Image< itk::Vector< float,2 >,2 >,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< itk::Vector< float,2 >,2 > >'),
  ('ConstNeighborhoodIterator', 'itk::ConstNeighborhoodIterator', 'itkConstNeighborhoodIteratorIIVF22ZFNIIVF2', 'itk::Image< itk::Vector< float,2 >,2 >,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('DenseFiniteDifferenceImageFilter', 'itk::DenseFiniteDifferenceImageFilter', 'itkDenseFiniteDifferenceImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DF', 'otb::Image< unsigned short,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUS2DD', 'otb::Image< unsigned short,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DF', 'otb::Image< float,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DD', 'otb::Image< float,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DF', 'otb::Image< unsigned char,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DD', 'otb::Image< unsigned char,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22VD2D', 'otb::Image< itk::Vector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22VD2D', 'otb::Image< itk::CovariantVector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2D', 'otb::Image< unsigned short,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUS2F', 'otb::Image< unsigned short,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2D', 'otb::Image< float,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2F', 'otb::Image< float,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2D', 'otb::Image< unsigned char,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2F', 'otb::Image< unsigned char,2 >,float'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIIUS2IIUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIIF2IF2SE2', 'itk::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIIF2IIF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
)
