depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('CurvatureFlowImageFilter', 'itk::CurvatureFlowImageFilter', 'itkCurvatureFlowImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('CurvatureFlowImageFilter', 'itk::CurvatureFlowImageFilter', 'itkCurvatureFlowImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinMaxCurvatureFlowImageFilter', 'itk::MinMaxCurvatureFlowImageFilter', 'itkMinMaxCurvatureFlowImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MinMaxCurvatureFlowImageFilter', 'itk::MinMaxCurvatureFlowImageFilter', 'itkMinMaxCurvatureFlowImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryMinMaxCurvatureFlowImageFilter', 'itk::BinaryMinMaxCurvatureFlowImageFilter', 'itkBinaryMinMaxCurvatureFlowImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryMinMaxCurvatureFlowImageFilter', 'itk::BinaryMinMaxCurvatureFlowImageFilter', 'itkBinaryMinMaxCurvatureFlowImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
)
