depends = ('ITKPyBase', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('ComplexToImaginaryImageFilter', 'itk::ComplexToImaginaryImageFilter', 'itkComplexToImaginaryImageFilterICF2IF2', 'otb::Image< std::complex< float >,2 >, otb::Image< float,2 >'),
  ('ComplexToImaginaryImageFilter', 'itk::ComplexToImaginaryImageFilter', 'itkComplexToImaginaryImageFilterIICF2IIF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToModulusImageFilter', 'itk::ComplexToModulusImageFilter', 'itkComplexToModulusImageFilterICF2IF2', 'otb::Image< std::complex< float >,2 >, otb::Image< float,2 >'),
  ('ComplexToModulusImageFilter', 'itk::ComplexToModulusImageFilter', 'itkComplexToModulusImageFilterIICF2IIF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToPhaseImageFilter', 'itk::ComplexToPhaseImageFilter', 'itkComplexToPhaseImageFilterICF2IF2', 'otb::Image< std::complex< float >,2 >, otb::Image< float,2 >'),
  ('ComplexToPhaseImageFilter', 'itk::ComplexToPhaseImageFilter', 'itkComplexToPhaseImageFilterIICF2IIF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToRealImageFilter', 'itk::ComplexToRealImageFilter', 'itkComplexToRealImageFilterICF2IF2', 'otb::Image< std::complex< float >,2 >, otb::Image< float,2 >'),
  ('ComplexToRealImageFilter', 'itk::ComplexToRealImageFilter', 'itkComplexToRealImageFilterIICF2IIF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('FFTComplexConjugateToRealImageFilter', 'itk::FFTComplexConjugateToRealImageFilter', 'itkFFTComplexConjugateToRealImageFilterF2', 'float,2'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterF2', 'float,2'),
  ('FFTRealToComplexConjugateImageFilter', 'itk::FFTRealToComplexConjugateImageFilter', 'itkFFTRealToComplexConjugateImageFilterF2', 'float,2'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterFFF2', 'float,float,float,2'),
  ('RealAndImaginaryToComplexImageFilter', 'itk::RealAndImaginaryToComplexImageFilter', 'itkRealAndImaginaryToComplexImageFilterFFF2', 'float,float,float,2'),
  ('VnlFFTComplexConjugateToRealImageFilter', 'itk::VnlFFTComplexConjugateToRealImageFilter', 'itkVnlFFTComplexConjugateToRealImageFilterF2', 'float,2'),
  ('VnlFFTRealToComplexConjugateImageFilter', 'itk::VnlFFTRealToComplexConjugateImageFilter', 'itkVnlFFTRealToComplexConjugateImageFilterF2', 'float,2'),
)
