depends = ('ITKPyBase', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
)
