depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('AbsoluteValueDifferenceImageFilter', 'itk::AbsoluteValueDifferenceImageFilter', 'itkAbsoluteValueDifferenceImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AbsoluteValueDifferenceImageFilter', 'itk::AbsoluteValueDifferenceImageFilter', 'itkAbsoluteValueDifferenceImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AbsoluteValueDifferenceImageFilter', 'itk::AbsoluteValueDifferenceImageFilter', 'itkAbsoluteValueDifferenceImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AbsoluteValueDifferenceImageFilter', 'itk::AbsoluteValueDifferenceImageFilter', 'itkAbsoluteValueDifferenceImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AddImageFilter', 'itk::AddImageFilter', 'itkAddImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AddImageFilter', 'itk::AddImageFilter', 'itkAddImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AddImageFilter', 'itk::AddImageFilter', 'itkAddImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AddImageFilter', 'itk::AddImageFilter', 'itkAddImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AndImageFilter', 'itk::AndImageFilter', 'itkAndImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AndImageFilter', 'itk::AndImageFilter', 'itkAndImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('Atan2ImageFilter', 'itk::Atan2ImageFilter', 'itkAtan2ImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('Atan2ImageFilter', 'itk::Atan2ImageFilter', 'itkAtan2ImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryMagnitudeImageFilter', 'itk::BinaryMagnitudeImageFilter', 'itkBinaryMagnitudeImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryMagnitudeImageFilter', 'itk::BinaryMagnitudeImageFilter', 'itkBinaryMagnitudeImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryMagnitudeImageFilter', 'itk::BinaryMagnitudeImageFilter', 'itkBinaryMagnitudeImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryMagnitudeImageFilter', 'itk::BinaryMagnitudeImageFilter', 'itkBinaryMagnitudeImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConstrainedValueAdditionImageFilter', 'itk::ConstrainedValueAdditionImageFilter', 'itkConstrainedValueAdditionImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConstrainedValueAdditionImageFilter', 'itk::ConstrainedValueAdditionImageFilter', 'itkConstrainedValueAdditionImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConstrainedValueAdditionImageFilter', 'itk::ConstrainedValueAdditionImageFilter', 'itkConstrainedValueAdditionImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ConstrainedValueAdditionImageFilter', 'itk::ConstrainedValueAdditionImageFilter', 'itkConstrainedValueAdditionImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConstrainedValueDifferenceImageFilter', 'itk::ConstrainedValueDifferenceImageFilter', 'itkConstrainedValueDifferenceImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConstrainedValueDifferenceImageFilter', 'itk::ConstrainedValueDifferenceImageFilter', 'itkConstrainedValueDifferenceImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConstrainedValueDifferenceImageFilter', 'itk::ConstrainedValueDifferenceImageFilter', 'itkConstrainedValueDifferenceImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ConstrainedValueDifferenceImageFilter', 'itk::ConstrainedValueDifferenceImageFilter', 'itkConstrainedValueDifferenceImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DivideImageFilter', 'itk::DivideImageFilter', 'itkDivideImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('DivideImageFilter', 'itk::DivideImageFilter', 'itkDivideImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DivideImageFilter', 'itk::DivideImageFilter', 'itkDivideImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('DivideImageFilter', 'itk::DivideImageFilter', 'itkDivideImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterICF2ICF2ICF2', 'otb::Image< std::complex< float >,2 >, otb::Image< std::complex< float >,2 >, otb::Image< std::complex< float >,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterIICF2IICF2IICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('MultiplyImageFilter', 'itk::MultiplyImageFilter', 'itkMultiplyImageFilterICF2IF2ICF2', 'otb::Image< std::complex< float >,2 >,otb::Image< float,2 >,otb::Image< std::complex< float >,2 >'),
  ('NaryAddImageFilter', 'itk::NaryAddImageFilter', 'itkNaryAddImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NaryAddImageFilter', 'itk::NaryAddImageFilter', 'itkNaryAddImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NaryAddImageFilter', 'itk::NaryAddImageFilter', 'itkNaryAddImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NaryAddImageFilter', 'itk::NaryAddImageFilter', 'itkNaryAddImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NaryMaximumImageFilter', 'itk::NaryMaximumImageFilter', 'itkNaryMaximumImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NaryMaximumImageFilter', 'itk::NaryMaximumImageFilter', 'itkNaryMaximumImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NaryMaximumImageFilter', 'itk::NaryMaximumImageFilter', 'itkNaryMaximumImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NaryMaximumImageFilter', 'itk::NaryMaximumImageFilter', 'itkNaryMaximumImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('OrImageFilter', 'itk::OrImageFilter', 'itkOrImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('OrImageFilter', 'itk::OrImageFilter', 'itkOrImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SquaredDifferenceImageFilter', 'itk::SquaredDifferenceImageFilter', 'itkSquaredDifferenceImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SquaredDifferenceImageFilter', 'itk::SquaredDifferenceImageFilter', 'itkSquaredDifferenceImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SquaredDifferenceImageFilter', 'itk::SquaredDifferenceImageFilter', 'itkSquaredDifferenceImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SquaredDifferenceImageFilter', 'itk::SquaredDifferenceImageFilter', 'itkSquaredDifferenceImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SubtractImageFilter', 'itk::SubtractImageFilter', 'itkSubtractImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SubtractImageFilter', 'itk::SubtractImageFilter', 'itkSubtractImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SubtractImageFilter', 'itk::SubtractImageFilter', 'itkSubtractImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SubtractImageFilter', 'itk::SubtractImageFilter', 'itkSubtractImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TernaryAddImageFilter', 'itk::TernaryAddImageFilter', 'itkTernaryAddImageFilterIUS2IUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('TernaryAddImageFilter', 'itk::TernaryAddImageFilter', 'itkTernaryAddImageFilterIIUS2IIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('TernaryAddImageFilter', 'itk::TernaryAddImageFilter', 'itkTernaryAddImageFilterIF2IF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('TernaryAddImageFilter', 'itk::TernaryAddImageFilter', 'itkTernaryAddImageFilterIIF2IIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TernaryMagnitudeImageFilter', 'itk::TernaryMagnitudeImageFilter', 'itkTernaryMagnitudeImageFilterIUS2IUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('TernaryMagnitudeImageFilter', 'itk::TernaryMagnitudeImageFilter', 'itkTernaryMagnitudeImageFilterIIUS2IIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('TernaryMagnitudeImageFilter', 'itk::TernaryMagnitudeImageFilter', 'itkTernaryMagnitudeImageFilterIF2IF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('TernaryMagnitudeImageFilter', 'itk::TernaryMagnitudeImageFilter', 'itkTernaryMagnitudeImageFilterIIF2IIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TernaryMagnitudeSquaredImageFilter', 'itk::TernaryMagnitudeSquaredImageFilter', 'itkTernaryMagnitudeSquaredImageFilterIUS2IUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('TernaryMagnitudeSquaredImageFilter', 'itk::TernaryMagnitudeSquaredImageFilter', 'itkTernaryMagnitudeSquaredImageFilterIIUS2IIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('TernaryMagnitudeSquaredImageFilter', 'itk::TernaryMagnitudeSquaredImageFilter', 'itkTernaryMagnitudeSquaredImageFilterIF2IF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('TernaryMagnitudeSquaredImageFilter', 'itk::TernaryMagnitudeSquaredImageFilter', 'itkTernaryMagnitudeSquaredImageFilterIIF2IIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('WeightedAddImageFilter', 'itk::WeightedAddImageFilter', 'itkWeightedAddImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('WeightedAddImageFilter', 'itk::WeightedAddImageFilter', 'itkWeightedAddImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('WeightedAddImageFilter', 'itk::WeightedAddImageFilter', 'itkWeightedAddImageFilterIF2IF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< float,2 >'),
  ('WeightedAddImageFilter', 'itk::WeightedAddImageFilter', 'itkWeightedAddImageFilterIIF2IIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('XorImageFilter', 'itk::XorImageFilter', 'itkXorImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('XorImageFilter', 'itk::XorImageFilter', 'itkXorImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
)
