depends = ('ITKPyBase', 'otbImages', 'itkCalculators', 'itkResize', 'itkSpatialObject', 'itkTransforms', 'itkNumerics', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DisplacementFieldJacobianDeterminantFilter', 'itk::DisplacementFieldJacobianDeterminantFilter', 'itkDisplacementFieldJacobianDeterminantFilterIIVF22F', 'itk::Image< itk::Vector< float,2 >,2 >, float'),
  ('DeformationFieldJacobianDeterminantFilter', 'itk::DeformationFieldJacobianDeterminantFilter', 'itkDeformationFieldJacobianDeterminantFilterIIVF22F', 'itk::Image< itk::Vector< float,2 >,2 >, float'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIUS2F', 'otb::Image< unsigned short,2 >, float'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIF2F', 'otb::Image< float,2 >, float'),
  ('EigenAnalysis2DImageFilter', 'itk::EigenAnalysis2DImageFilter', 'itkEigenAnalysis2DImageFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('EigenAnalysis2DImageFilter', 'itk::EigenAnalysis2DImageFilter', 'itkEigenAnalysis2DImageFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ExponentialDeformationFieldImageFilter', 'itk::ExponentialDeformationFieldImageFilter', 'itkExponentialDeformationFieldImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ExponentialDeformationFieldImageFilter', 'itk::ExponentialDeformationFieldImageFilter', 'itkExponentialDeformationFieldImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF22IUS2', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< unsigned short,2 >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIIVF22IIUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIIUS2IIUS2IIVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIIF2IIF2IIVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorResampleImageFilter', 'itk::VectorResampleImageFilter', 'itkVectorResampleImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('VectorResampleImageFilter', 'itk::VectorResampleImageFilter', 'itkVectorResampleImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
)
