depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIIRGBUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBAUS2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIIRGBAUS2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICF2ICF2', 'otb::Image< std::complex< float >,2 >, otb::Image< std::complex< float >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIICF2IICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
)
