depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIIUS2IIUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIIF2IIF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIIF2IF2SE2', 'itk::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUS2PLPP2', 'otb::Image< unsigned short,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIIUS2PLPP2', 'itk::Image< unsigned short,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF2PLPP2', 'otb::Image< float,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIIF2PLPP2', 'itk::Image< float,2 >, itk::PolyLineParametricPath< 2 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIUS2USIUS2', 'otb::Image< unsigned short,2 >,unsigned short,otb::Image< unsigned short,2 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIF2FIF2', 'otb::Image< float,2 >,float,otb::Image< float,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIF2', 'otb::Image< float,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIIF2', 'itk::Image< float,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIUS2USIUS2', 'otb::Image< unsigned short,2 >,unsigned short,otb::Image< unsigned short,2 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIF2FIF2', 'otb::Image< float,2 >,float,otb::Image< float,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBUS2IRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIIRGBUS2IIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBAUS2IRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIIRGBAUS2IIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVF22IVF22', 'otb::Image< itk::Vector< float,2 >,2 >, otb::Image< itk::Vector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIIVF22IIVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVF22ICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >, otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIICVF22IICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICF2ICF2', 'otb::Image< std::complex< float >,2 >, otb::Image< std::complex< float >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIICF2IICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS2IUS2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIIUS2IIUS2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS2IUL2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned long,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIIUS2IIUL2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUS2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIIUS2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUL2IRGBUS2', 'otb::Image< unsigned long,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIIUL2IIRGBUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIIUS2IIUS2IIUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIIF2IIUS2IIF2SE2', 'itk::Image< float,2 >,itk::Image< unsigned short,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2IUS2', 'otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIIF2IIUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIUS2USIUS2', 'otb::Image< unsigned short,2 >,unsigned short,otb::Image< unsigned short,2 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIF2FIF2', 'otb::Image< float,2 >,float,otb::Image< float,2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUS2IUS2SE2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIF2IF2SE2', 'otb::Image< float,2 >,otb::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUS2IUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIIUS2IIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF2IF2IUS2', 'otb::Image< float,2 >, otb::Image< float,2 >, otb::Image< unsigned short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIIF2IIF2IIUS2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUS2IRGBUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIIUS2IIRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUS2IRGBAUS2', 'otb::Image< unsigned short,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIIUS2IIRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF2IRGBUS2', 'otb::Image< float,2 >, otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIIF2IIRGBUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF2IRGBAUS2', 'otb::Image< float,2 >, otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIIF2IIRGBAUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIUS2USIUS2', 'otb::Image< unsigned short,2 >,unsigned short,otb::Image< unsigned short,2 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIF2FIF2', 'otb::Image< float,2 >,float,otb::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
)
