depends = ('ITKPyBase', 'itkIO', 'itkTransforms', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('BandMathImageFilter', 'otb::BandMathImageFilter', 'otbBandMathImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('BandMathImageFilter', 'otb::BandMathImageFilter', 'otbBandMathImageFilterIF2', 'otb::Image< float,2 >'),
  ('HillShadingFunctor', 'otb::Functor::HillShadingFunctor', 'otbHillShadingFunctorCNIIF2ZFNIF2IF2F', 'itk::ConstNeighborhoodIterator< otb::Image< float,2 > ,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< float,2 > > >, otb::Image< float,2 >,float'),
  ('HillShadingFunctor', 'otb::Functor::HillShadingFunctor', 'otbHillShadingFunctorCNIIIF2ZFNIIF2IIF2F', 'itk::ConstNeighborhoodIterator< itk::Image< float,2 > ,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< float,2 > > >, itk::Image< float,2 >,float'),
  ('HillShadingFunctor', 'otb::Functor::HillShadingFunctor', 'otbHillShadingFunctorCNIIUS2ZFNIUS2IUS2US', 'itk::ConstNeighborhoodIterator< otb::Image< unsigned short,2 > ,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< unsigned short,2 > > >, otb::Image< unsigned short,2 >,unsigned short'),
  ('HillShadingFunctor', 'otb::Functor::HillShadingFunctor', 'otbHillShadingFunctorCNIIIUS2ZFNIIUS2IIUS2US', 'itk::ConstNeighborhoodIterator< itk::Image< unsigned short,2 > ,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< unsigned short,2 > > >, itk::Image< unsigned short,2 >,unsigned short'),
  ('HillShadingFilter', 'otb::HillShadingFilter', 'otbHillShadingFilterIUS2IUS2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >'),
  ('HillShadingFilter', 'otb::HillShadingFilter', 'otbHillShadingFilterIIUS2IIUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HillShadingFilter', 'otb::HillShadingFilter', 'otbHillShadingFilterIF2IF2', 'otb::Image< float,2 >, otb::Image< float,2 >'),
  ('HillShadingFilter', 'otb::HillShadingFilter', 'otbHillShadingFilterIIF2IIF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterIUS2IUS2', 'otb::Image< unsigned short,2 >,otb::Image< unsigned short,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVIUS2VIUS2US', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< unsigned short,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterIF2IUS2', 'otb::Image< float,2 >,otb::Image< unsigned short,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVIF2VIUS2US', 'otb::VectorImage< float,2 >,otb::VectorImage< unsigned short,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterID2IUS2', 'otb::Image< double,2 >,otb::Image< unsigned short,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVID2VIUS2US', 'otb::VectorImage< double,2 >,otb::VectorImage< unsigned short,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterIUS2IF2', 'otb::Image< unsigned short,2 >,otb::Image< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVIUS2VIF2F', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterIF2IF2', 'otb::Image< float,2 >,otb::Image< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVIF2VIF2F', 'otb::VectorImage< float,2 >,otb::VectorImage< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterID2IF2', 'otb::Image< double,2 >,otb::Image< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVID2VIF2F', 'otb::VectorImage< double,2 >,otb::VectorImage< float,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterIUS2ID2', 'otb::Image< unsigned short,2 >,otb::Image< double,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVIUS2VID2D', 'otb::VectorImage< unsigned short,2 >,otb::VectorImage< double,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterIF2ID2', 'otb::Image< float,2 >,otb::Image< double,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVIF2VID2D', 'otb::VectorImage< float,2 >,otb::VectorImage< double,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterID2ID2', 'otb::Image< double,2 >,otb::Image< double,2 >'),
  ('PersistentImageFilter', 'otb::PersistentImageFilter', 'otbPersistentImageFilterVID2VID2D', 'otb::VectorImage< double,2 >,otb::VectorImage< double,2 >'),
  ('PersistentCompareImageFilter', 'otb::PersistentCompareImageFilter', 'otbPersistentCompareImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('PersistentCompareImageFilter', 'otb::PersistentCompareImageFilter', 'otbPersistentCompareImageFilterIF2', 'otb::Image< float,2 >'),
  ('PersistentCompareImageFilter', 'otb::PersistentCompareImageFilter', 'otbPersistentCompareImageFilterID2', 'otb::Image< double,2 >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentCompareImageFilterIUS2', ' otb::PersistentCompareImageFilter< otb::Image< unsigned short,2 > >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentCompareImageFilterIF2', ' otb::PersistentCompareImageFilter< otb::Image< float,2 > >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentCompareImageFilterID2', ' otb::PersistentCompareImageFilter< otb::Image< double,2 > >'),
  ('StreamingCompareImageFilter', 'otb::StreamingCompareImageFilter', 'otbStreamingCompareImageFilterIUS2', 'otb::Image< unsigned short,2 >'),
  ('StreamingCompareImageFilter', 'otb::StreamingCompareImageFilter', 'otbStreamingCompareImageFilterIF2', 'otb::Image< float,2 >'),
  ('StreamingCompareImageFilter', 'otb::StreamingCompareImageFilter', 'otbStreamingCompareImageFilterID2', 'otb::Image< double,2 >'),
  ('PersistentMinMaxImageFilter', 'otb::PersistentMinMaxImageFilter', 'otbPersistentMinMaxImageFilterIF2', 'otb::Image< float,2 >'),
  ('PersistentMinMaxImageFilter', 'otb::PersistentMinMaxImageFilter', 'otbPersistentMinMaxImageFilterID2', 'otb::Image< double,2 >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentMinMaxImageFilterIF2', ' otb::PersistentMinMaxImageFilter< otb::Image< float,2 > >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentMinMaxImageFilterID2', ' otb::PersistentMinMaxImageFilter< otb::Image< double,2 > >'),
  ('StreamingMinMaxImageFilter', 'otb::StreamingMinMaxImageFilter', 'otbStreamingMinMaxImageFilterIF2', 'otb::Image< float,2 >'),
  ('StreamingMinMaxImageFilter', 'otb::StreamingMinMaxImageFilter', 'otbStreamingMinMaxImageFilterID2', 'otb::Image< double,2 >'),
  ('PersistentMinMaxVectorImageFilter', 'otb::PersistentMinMaxVectorImageFilter', 'otbPersistentMinMaxVectorImageFilterVIF2', 'otb::VectorImage< float,2 >'),
  ('PersistentMinMaxVectorImageFilter', 'otb::PersistentMinMaxVectorImageFilter', 'otbPersistentMinMaxVectorImageFilterVID2', 'otb::VectorImage< double,2 >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentMinMaxVectorImageFilterVIF2', ' otb::PersistentMinMaxVectorImageFilter< otb::VectorImage< float,2 > >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentMinMaxVectorImageFilterVID2', ' otb::PersistentMinMaxVectorImageFilter< otb::VectorImage< double,2 > >'),
  ('StreamingMinMaxVectorImageFilter', 'otb::StreamingMinMaxVectorImageFilter', 'otbStreamingMinMaxVectorImageFilterVIF2', 'otb::VectorImage< float,2 >'),
  ('StreamingMinMaxVectorImageFilter', 'otb::StreamingMinMaxVectorImageFilter', 'otbStreamingMinMaxVectorImageFilterVID2', 'otb::VectorImage< double,2 >'),
  ('PersistentStatisticsImageFilter', 'otb::PersistentStatisticsImageFilter', 'otbPersistentStatisticsImageFilterIF2', 'otb::Image< float,2 >'),
  ('PersistentStatisticsImageFilter', 'otb::PersistentStatisticsImageFilter', 'otbPersistentStatisticsImageFilterID2', 'otb::Image< double,2 >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentStatisticsImageFilterIF2', ' otb::PersistentStatisticsImageFilter< otb::Image< float,2 > >'),
  ('PersistentFilterStreamingDecorator', 'otb::PersistentFilterStreamingDecorator', 'otbPersistentFilterStreamingDecoratorPersistentStatisticsImageFilterID2', ' otb::PersistentStatisticsImageFilter< otb::Image< double,2 > >'),
  ('StreamingStatisticsImageFilter', 'otb::StreamingStatisticsImageFilter', 'otbStreamingStatisticsImageFilterIF2', 'otb::Image< float,2 >'),
  ('StreamingStatisticsImageFilter', 'otb::StreamingStatisticsImageFilter', 'otbStreamingStatisticsImageFilterID2', 'otb::Image< double,2 >'),
  ('Transform', 'otb::Transform', 'otbTransformD22', 'double,2,2'),
  ('UnaryFunctorNeighborhoodImageFilter', 'otb::UnaryFunctorNeighborhoodImageFilter', 'otbUnaryFunctorNeighborhoodImageFilterIF2IF2HillShadingFunctor2', 'otb::Image< float,2 >, otb::Image< float,2 > , otb::Functor::HillShadingFunctor<itk::ConstNeighborhoodIterator< otb::Image< float,2 > ,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< float,2 > > >, otb::Image< float,2 >, float >'),
  ('UnaryFunctorNeighborhoodImageFilter', 'otb::UnaryFunctorNeighborhoodImageFilter', 'otbUnaryFunctorNeighborhoodImageFilterIIF2IIF2HillShadingFunctor2', 'itk::Image< float,2 >, itk::Image< float,2 > , otb::Functor::HillShadingFunctor<itk::ConstNeighborhoodIterator< itk::Image< float,2 > ,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< float,2 > > >, itk::Image< float,2 >, float >'),
  ('UnaryFunctorNeighborhoodImageFilter', 'otb::UnaryFunctorNeighborhoodImageFilter', 'otbUnaryFunctorNeighborhoodImageFilterIUS2IUS2HillShadingFunctor2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > , otb::Functor::HillShadingFunctor<itk::ConstNeighborhoodIterator< otb::Image< unsigned short,2 > ,itk::ZeroFluxNeumannBoundaryCondition< otb::Image< unsigned short,2 > > >, otb::Image< unsigned short,2 >, unsigned short >'),
  ('UnaryFunctorNeighborhoodImageFilter', 'otb::UnaryFunctorNeighborhoodImageFilter', 'otbUnaryFunctorNeighborhoodImageFilterIIUS2IIUS2HillShadingFunctor2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > , otb::Functor::HillShadingFunctor<itk::ConstNeighborhoodIterator< itk::Image< unsigned short,2 > ,itk::ZeroFluxNeumannBoundaryCondition< itk::Image< unsigned short,2 > > >, itk::Image< unsigned short,2 >, unsigned short >'),
)
