depends = ('ITKPyBase', 'itkIO', 'itkTransforms', 'itkCommon', 'otbVectorDatas', 'otbImages', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('DEMToImageGenerator', 'otb::DEMToImageGenerator', 'otbDEMToImageGeneratorIUI2', 'otb::Image< unsigned int,2 >'),
  ('DEMToImageGenerator', 'otb::DEMToImageGenerator', 'otbDEMToImageGeneratorIIUI2', 'itk::Image< unsigned int,2 >'),
  ('DEMToImageGenerator', 'otb::DEMToImageGenerator', 'otbDEMToImageGeneratorIUC2', 'otb::Image< unsigned char,2 >'),
  ('DEMToImageGenerator', 'otb::DEMToImageGenerator', 'otbDEMToImageGeneratorIIUC2', 'itk::Image< unsigned char,2 >'),
  ('DEMToImageGenerator', 'otb::DEMToImageGenerator', 'otbDEMToImageGeneratorID2', 'otb::Image< double,2 >'),
  ('DEMToImageGenerator', 'otb::DEMToImageGenerator', 'otbDEMToImageGeneratorIID2', 'itk::Image< double,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIUI2', 'otb::Image< unsigned int,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIUI2', 'itk::Image< unsigned int,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderID2', 'otb::Image< double,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIID2', 'itk::Image< double,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIF2', 'otb::Image< float,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIIF2', 'itk::Image< float,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderVIUS2', 'otb::VectorImage< unsigned short,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderVIF2', 'otb::VectorImage< float,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderVICF2', 'otb::VectorImage< std::complex< float >,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderVIUC2', 'otb::VectorImage< unsigned char,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderVID2', 'otb::VectorImage< double,2 >'),
  ('ImageFileReader', 'otb::ImageFileReader', 'otbImageFileReaderVIUI2', 'otb::VectorImage< unsigned int,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIUI2', 'otb::Image< unsigned int,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIUI2', 'itk::Image< unsigned int,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIUC2', 'otb::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterID2', 'otb::Image< double,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIID2', 'itk::Image< double,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIUS2', 'otb::Image< unsigned short,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIF2', 'otb::Image< float,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIIF2', 'itk::Image< float,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterICF2', 'otb::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterVIUS2', 'otb::VectorImage< unsigned short,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterVIF2', 'otb::VectorImage< float,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterVICF2', 'otb::VectorImage< std::complex< float >,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterVIUC2', 'otb::VectorImage< unsigned char,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterVID2', 'otb::VectorImage< double,2 >'),
  ('ImageFileWriter', 'otb::ImageFileWriter', 'otbImageFileWriterVIUI2', 'otb::VectorImage< unsigned int,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIUC2', 'otb::Image< unsigned char,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIIUC2', 'itk::Image< unsigned char,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterID2', 'otb::Image< double,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIID2', 'itk::Image< double,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIUS2', 'otb::Image< unsigned short,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIIUS2', 'itk::Image< unsigned short,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIRGBUS2', 'otb::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIRGBAUS2', 'otb::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIVF22', 'otb::Image< itk::Vector< float,2 >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterICVF22', 'otb::Image< itk::CovariantVector< float,2 >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIF2', 'otb::Image< float,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIIF2', 'itk::Image< float,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterICF2', 'otb::Image< std::complex< float >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterIICF2', 'itk::Image< std::complex< float >,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterVIUS2', 'otb::VectorImage< unsigned short,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterVIF2', 'otb::VectorImage< float,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterVIUC2', 'otb::VectorImage< unsigned char,2 >'),
  ('StreamingImageFileWriter', 'otb::StreamingImageFileWriter', 'otbStreamingImageFileWriterVID2', 'otb::VectorImage< double,2 >'),
  ('VectorDataSource', 'otb::VectorDataSource', 'otbVectorDataSourceVDF2F', 'otb::VectorData< float, 2, float >'),
  ('VectorDataSource', 'otb::VectorDataSource', 'otbVectorDataSourceVDUC2UC', 'otb::VectorData< unsigned char, 2, unsigned char >'),
  ('VectorDataSource', 'otb::VectorDataSource', 'otbVectorDataSourceVDUS2US', 'otb::VectorData< unsigned short, 2, unsigned short >'),
  ('VectorDataFileReader', 'otb::VectorDataFileReader', 'otbVectorDataFileReaderVDF2F', 'otb::VectorData< float, 2, float >'),
  ('VectorDataFileReader', 'otb::VectorDataFileReader', 'otbVectorDataFileReaderVDUC2UC', 'otb::VectorData< unsigned char, 2, unsigned char >'),
  ('VectorDataFileReader', 'otb::VectorDataFileReader', 'otbVectorDataFileReaderVDUS2US', 'otb::VectorData< unsigned short, 2, unsigned short >'),
  ('VectorDataFileWriter', 'otb::VectorDataFileWriter', 'otbVectorDataFileWriterVDF2F', 'otb::VectorData< float, 2, float >'),
  ('VectorDataFileWriter', 'otb::VectorDataFileWriter', 'otbVectorDataFileWriterVDUC2UC', 'otb::VectorData< unsigned char, 2, unsigned char >'),
  ('VectorDataFileWriter', 'otb::VectorDataFileWriter', 'otbVectorDataFileWriterVDUS2US', 'otb::VectorData< unsigned short, 2, unsigned short >'),
)
