depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', )
templates = (
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIF2IF2', 'otb::VectorImage< float,2 > ,otb::Image< float,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIF2IF2', 'otb::VectorImage< float,2 > ,otb::Image< float,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIF2IUS2', 'otb::VectorImage< float,2 > ,otb::Image< unsigned short,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIF2IUS2', 'otb::VectorImage< float,2 > ,otb::Image< unsigned short,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIF2IUC2', 'otb::VectorImage< float,2 > ,otb::Image< unsigned char,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIF2IUC2', 'otb::VectorImage< float,2 > ,otb::Image< unsigned char,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIUS2IF2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< float,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIUS2IF2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< float,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIUS2IUS2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< unsigned short,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIUS2IUS2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< unsigned short,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIUS2IUC2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< unsigned char,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIUS2IUC2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< unsigned char,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIUC2IF2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< float,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIUC2IF2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< float,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIUC2IUS2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< unsigned short,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIUC2IUS2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< unsigned short,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterVIUC2IUC2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< unsigned char,2 >'),
  ('KMeansImageClassificationFilter', 'otb::KMeansImageClassificationFilter', 'otbKMeansImageClassificationFilterIUC2IUC2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< unsigned char,2 >'),
  ('SVMImageClassificationFilter', 'otb::SVMImageClassificationFilter', 'otbSVMImageClassificationFilterVIF2IUS2', 'otb::VectorImage< float,2 > ,otb::Image< unsigned short,2 >'),
  ('SVMImageModelEstimator', 'otb::SVMImageModelEstimator', 'otbSVMImageModelEstimatorVIF2IF2', 'otb::VectorImage< float,2 > ,otb::Image< float,2 >'),
  ('SVMImageModelEstimator', 'otb::SVMImageModelEstimator', 'otbSVMImageModelEstimatorVIUC2IUC2', 'otb::VectorImage< unsigned char,2 > ,otb::Image< unsigned char,2 >'),
  ('SVMImageModelEstimator', 'otb::SVMImageModelEstimator', 'otbSVMImageModelEstimatorVIUS2IUS2', 'otb::VectorImage< unsigned short,2 > ,otb::Image< unsigned short,2 >'),
  ('SVMImageModelEstimator', 'otb::SVMImageModelEstimator', 'otbSVMImageModelEstimatorVID2ID2', 'otb::VectorImage< double,2 > ,otb::Image< double,2 >'),
  ('SVMModel', 'otb::SVMModel', 'otbSVMModelFUS', 'float ,unsigned short'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorFUS', 'float ,unsigned short'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorFF', 'float ,float'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorFUC', 'float ,unsigned char'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorFD', 'float ,double'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUCUS', 'unsigned char ,unsigned short'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUCF', 'unsigned char ,float'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUCUC', 'unsigned char ,unsigned char'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUCD', 'unsigned char ,double'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUSUS', 'unsigned short ,unsigned short'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUSF', 'unsigned short ,float'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUSUC', 'unsigned short ,unsigned char'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorUSD', 'unsigned short ,double'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorDUS', 'double ,unsigned short'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorDF', 'double ,float'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorDUC', 'double ,unsigned char'),
  ('SVMModelEstimator', 'otb::SVMModelEstimator', 'otbSVMModelEstimatorDD', 'double ,double'),
)
