depends = ('ITKPyBase', 'otbImages', 'itkCommon', 'itkBase', 'itkVXLNumerics', )
templates = (
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2NDVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2RVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::RVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2PVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::PVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2SAVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::SAVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2TSAVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::TSAVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2WDVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::WDVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2MSAVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::MSAVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2MSAVI2', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::MSAVI2< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2GEMI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::GEMI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2IPVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IPVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2TNDVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::TNDVI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2LAIFromNDVILogarithmic', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::LAIFromNDVILogarithmic< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2LAIFromReflectancesLinear', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::LAIFromReflectancesLinear< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2ISU', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::ISU< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2NDBI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDBI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2IR', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IR< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2IC', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IC< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2IB', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IB< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2NDWI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDWI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2NDWI2', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDWI2< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2MNDWI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::MNDWI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2NDPI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDPI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterID2ID2ID2NDTI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDTI< double, double ,double >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2NDVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2RVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::RVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2PVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::PVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2SAVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::SAVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2TSAVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::TSAVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2WDVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::WDVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2MSAVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::MSAVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2MSAVI2', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::MSAVI2< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2GEMI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::GEMI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2IPVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IPVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2TNDVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::TNDVI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2LAIFromNDVILogarithmic', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::LAIFromNDVILogarithmic< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2LAIFromReflectancesLinear', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::LAIFromReflectancesLinear< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2ISU', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::ISU< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2NDBI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDBI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2IR', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IR< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2IC', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IC< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2IB', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IB< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2NDWI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDWI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2NDWI2', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDWI2< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2MNDWI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::MNDWI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2NDPI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDPI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIF2IF2IF2NDTI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDTI< float, float ,float >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2NDVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2RVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::RVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2PVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::PVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2SAVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::SAVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2TSAVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::TSAVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2WDVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::WDVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2MSAVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::MSAVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2MSAVI2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::MSAVI2< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2GEMI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::GEMI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2IPVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IPVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2TNDVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::TNDVI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2LAIFromNDVILogarithmic', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::LAIFromNDVILogarithmic< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2LAIFromReflectancesLinear', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::LAIFromReflectancesLinear< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2ISU', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::ISU< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2NDBI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDBI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2IR', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IR< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2IC', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IC< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2IB', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IB< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2NDWI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDWI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2NDWI2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDWI2< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2MNDWI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::MNDWI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2NDPI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDPI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUC2IUC2IUC2NDTI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDTI< unsigned char, unsigned char ,unsigned char >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2NDVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2RVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::RVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2PVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::PVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2SAVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::SAVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2TSAVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::TSAVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2WDVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::WDVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2MSAVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::MSAVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2MSAVI2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::MSAVI2< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2GEMI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::GEMI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2IPVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IPVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2TNDVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::TNDVI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2LAIFromNDVILogarithmic', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::LAIFromNDVILogarithmic< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2LAIFromReflectancesLinear', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::LAIFromReflectancesLinear< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2ISU', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::ISU< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2NDBI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDBI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2IR', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IR< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2IC', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IC< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2IB', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IB< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2NDWI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDWI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2NDWI2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDWI2< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2MNDWI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::MNDWI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2NDPI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDPI< unsigned short, unsigned short ,unsigned short >'),
  ('BinaryFunctorImageFilter', 'itk::BinaryFunctorImageFilter', 'itkBinaryFunctorImageFilterIUS2IUS2IUS2NDTI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDTI< unsigned short, unsigned short ,unsigned short >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterID2ID2ID2ID2ARVI', 'otb::Image< double,2 >, otb::Image< double,2 > , otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::ARVI< double, double ,double ,double >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterID2ID2ID2ID2TSARVI', 'otb::Image< double,2 >, otb::Image< double,2 > , otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::TSARVI< double, double ,double ,double >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterID2ID2ID2ID2EVI', 'otb::Image< double,2 >, otb::Image< double,2 > , otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::EVI< double, double ,double ,double >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterID2ID2ID2ID2AVI', 'otb::Image< double,2 >, otb::Image< double,2 > , otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::AVI< double, double ,double ,double >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterID2ID2ID2ID2IB2', 'otb::Image< double,2 >, otb::Image< double,2 > , otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::IB2< double, double ,double ,double >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIF2IF2IF2IF2ARVI', 'otb::Image< float,2 >, otb::Image< float,2 > , otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::ARVI< float, float ,float ,float >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIF2IF2IF2IF2TSARVI', 'otb::Image< float,2 >, otb::Image< float,2 > , otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::TSARVI< float, float ,float ,float >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIF2IF2IF2IF2EVI', 'otb::Image< float,2 >, otb::Image< float,2 > , otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::EVI< float, float ,float ,float >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIF2IF2IF2IF2AVI', 'otb::Image< float,2 >, otb::Image< float,2 > , otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::AVI< float, float ,float ,float >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIF2IF2IF2IF2IB2', 'otb::Image< float,2 >, otb::Image< float,2 > , otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::IB2< float, float ,float ,float >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUC2IUC2IUC2IUC2ARVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > , otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::ARVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUC2IUC2IUC2IUC2TSARVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > , otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::TSARVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUC2IUC2IUC2IUC2EVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > , otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::EVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUC2IUC2IUC2IUC2AVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > , otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::AVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUC2IUC2IUC2IUC2IB2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > , otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::IB2< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUS2IUS2IUS2IUS2ARVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > , otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::ARVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUS2IUS2IUS2IUS2TSARVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > , otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::TSARVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUS2IUS2IUS2IUS2EVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > , otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::EVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUS2IUS2IUS2IUS2AVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > , otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::AVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('TernaryFunctorImageFilter', 'itk::TernaryFunctorImageFilter', 'itkTernaryFunctorImageFilterIUS2IUS2IUS2IUS2IB2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > , otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::IB2< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2NDVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::NDVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2RVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::RVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2PVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::PVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2SAVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::SAVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2TSAVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::TSAVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2WDVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::WDVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2MSAVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::MSAVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2MSAVI2', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::MSAVI2< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2GEMI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::GEMI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2IPVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IPVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2TNDVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::TNDVI< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2LAIFromNDVILogarithmic', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::LAIFromNDVILogarithmic< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2LAIFromReflectancesLinear', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::LAIFromReflectancesLinear< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterID2ID2ID2ISU', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::ISU< double, double ,double >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2NDVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::NDVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2RVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::RVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2PVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::PVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2SAVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::SAVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2TSAVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::TSAVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2WDVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::WDVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2MSAVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::MSAVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2MSAVI2', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::MSAVI2< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2GEMI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::GEMI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2IPVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IPVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2TNDVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::TNDVI< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2LAIFromNDVILogarithmic', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::LAIFromNDVILogarithmic< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2LAIFromReflectancesLinear', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::LAIFromReflectancesLinear< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIF2IF2IF2ISU', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::ISU< float, float ,float >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2NDVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::NDVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2RVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::RVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2PVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::PVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2SAVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::SAVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2TSAVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::TSAVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2WDVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::WDVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2MSAVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::MSAVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2MSAVI2', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::MSAVI2< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2GEMI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::GEMI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2IPVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IPVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2TNDVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::TNDVI< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2LAIFromNDVILogarithmic', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::LAIFromNDVILogarithmic< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2LAIFromReflectancesLinear', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::LAIFromReflectancesLinear< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUC2IUC2IUC2ISU', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::ISU< unsigned char, unsigned char ,unsigned char >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2NDVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::NDVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2RVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::RVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2PVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::PVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2SAVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::SAVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2TSAVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::TSAVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2WDVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::WDVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2MSAVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::MSAVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2MSAVI2', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::MSAVI2< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2GEMI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::GEMI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2IPVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IPVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2TNDVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::TNDVI< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2LAIFromNDVILogarithmic', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::LAIFromNDVILogarithmic< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2LAIFromReflectancesLinear', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::LAIFromReflectancesLinear< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexImageFilter', 'otb::RAndNIRIndexImageFilter', 'otbRAndNIRIndexImageFilterIUS2IUS2IUS2ISU', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::ISU< unsigned short, unsigned short ,unsigned short >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterID2ID2ID2ID2ARVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::ARVI< double, double ,double ,double >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterID2ID2ID2ID2TSARVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::TSARVI< double, double ,double ,double >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterID2ID2ID2ID2EVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::EVI< double, double ,double ,double >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIF2IF2IF2IF2ARVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::ARVI< float, float ,float ,float >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIF2IF2IF2IF2TSARVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::TSARVI< float, float ,float ,float >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIF2IF2IF2IF2EVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::EVI< float, float ,float ,float >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIUC2IUC2IUC2IUC2ARVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::ARVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIUC2IUC2IUC2IUC2TSARVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::TSARVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIUC2IUC2IUC2IUC2EVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::EVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIUS2IUS2IUS2IUS2ARVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::ARVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIUS2IUS2IUS2IUS2TSARVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::TSARVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('RAndBAndNIRIndexImageFilter', 'otb::RAndBAndNIRIndexImageFilter', 'otbRAndBAndNIRIndexImageFilterIUS2IUS2IUS2IUS2EVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::EVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('RAndGAndNIRIndexImageFilter', 'otb::RAndGAndNIRIndexImageFilter', 'otbRAndGAndNIRIndexImageFilterID2ID2ID2ID2AVI', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Image< double,2 >, otb::Functor::AVI< double, double ,double ,double >'),
  ('RAndGAndNIRIndexImageFilter', 'otb::RAndGAndNIRIndexImageFilter', 'otbRAndGAndNIRIndexImageFilterIF2IF2IF2IF2AVI', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Image< float,2 >, otb::Functor::AVI< float, float ,float ,float >'),
  ('RAndGAndNIRIndexImageFilter', 'otb::RAndGAndNIRIndexImageFilter', 'otbRAndGAndNIRIndexImageFilterIUC2IUC2IUC2IUC2AVI', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 >, otb::Functor::AVI< unsigned char, unsigned char ,unsigned char ,unsigned char >'),
  ('RAndGAndNIRIndexImageFilter', 'otb::RAndGAndNIRIndexImageFilter', 'otbRAndGAndNIRIndexImageFilterIUS2IUS2IUS2IUS2AVI', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 >, otb::Functor::AVI< unsigned short, unsigned short ,unsigned short ,unsigned short >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterID2ID2ID2IR', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IR< double, double ,double >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterID2ID2ID2IC', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IC< double, double ,double >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterID2ID2ID2IB', 'otb::Image< double,2 >, otb::Image< double,2 > ,otb::Image< double,2 >, otb::Functor::IB< double, double ,double >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIF2IF2IF2IR', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IR< float, float ,float >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIF2IF2IF2IC', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IC< float, float ,float >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIF2IF2IF2IB', 'otb::Image< float,2 >, otb::Image< float,2 > ,otb::Image< float,2 >, otb::Functor::IB< float, float ,float >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIUC2IUC2IUC2IR', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IR< unsigned char, unsigned char ,unsigned char >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIUC2IUC2IUC2IC', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IC< unsigned char, unsigned char ,unsigned char >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIUC2IUC2IUC2IB', 'otb::Image< unsigned char,2 >, otb::Image< unsigned char,2 > ,otb::Image< unsigned char,2 >, otb::Functor::IB< unsigned char, unsigned char ,unsigned char >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIUS2IUS2IUS2IR', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IR< unsigned short, unsigned short ,unsigned short >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIUS2IUS2IUS2IC', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IC< unsigned short, unsigned short ,unsigned short >'),
  ('GAndRIndexImageFilter', 'otb::GAndRIndexImageFilter', 'otbGAndRIndexImageFilterIUS2IUS2IUS2IB', 'otb::Image< unsigned short,2 >, otb::Image< unsigned short,2 > ,otb::Image< unsigned short,2 >, otb::Functor::IB< unsigned short, unsigned short ,unsigned short >'),
  ('RAndNIRIndexBase', 'otb::Functor::RAndNIRIndexBase', 'otbRAndNIRIndexBaseDDD', 'double, double ,double'),
  ('RAndNIRIndexBase', 'otb::Functor::RAndNIRIndexBase', 'otbRAndNIRIndexBaseFFF', 'float, float ,float'),
  ('RAndNIRIndexBase', 'otb::Functor::RAndNIRIndexBase', 'otbRAndNIRIndexBaseUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('RAndNIRIndexBase', 'otb::Functor::RAndNIRIndexBase', 'otbRAndNIRIndexBaseUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('RAndBAndNIRIndexBase', 'otb::Functor::RAndBAndNIRIndexBase', 'otbRAndBAndNIRIndexBaseDDD', 'double, double, double ,double'),
  ('RAndBAndNIRIndexBase', 'otb::Functor::RAndBAndNIRIndexBase', 'otbRAndBAndNIRIndexBaseFFF', 'float, float, float ,float'),
  ('RAndBAndNIRIndexBase', 'otb::Functor::RAndBAndNIRIndexBase', 'otbRAndBAndNIRIndexBaseUCUCUC', 'unsigned char, unsigned char, unsigned char ,unsigned char'),
  ('RAndBAndNIRIndexBase', 'otb::Functor::RAndBAndNIRIndexBase', 'otbRAndBAndNIRIndexBaseUSUSUS', 'unsigned short, unsigned short, unsigned short ,unsigned short'),
  ('RAndGAndNIRIndexBase', 'otb::Functor::RAndGAndNIRIndexBase', 'otbRAndGAndNIRIndexBaseDDDD', 'double, double, double ,double'),
  ('RAndGAndNIRIndexBase', 'otb::Functor::RAndGAndNIRIndexBase', 'otbRAndGAndNIRIndexBaseFFFF', 'float, float, float ,float'),
  ('RAndGAndNIRIndexBase', 'otb::Functor::RAndGAndNIRIndexBase', 'otbRAndGAndNIRIndexBaseUCUCUCUC', 'unsigned char, unsigned char, unsigned char ,unsigned char'),
  ('RAndGAndNIRIndexBase', 'otb::Functor::RAndGAndNIRIndexBase', 'otbRAndGAndNIRIndexBaseUSUSUSUS', 'unsigned short, unsigned short, unsigned short ,unsigned short'),
  ('GAndRIndexBase', 'otb::Functor::GAndRIndexBase', 'otbGAndRIndexBaseDDD', 'double, double ,double'),
  ('GAndRIndexBase', 'otb::Functor::GAndRIndexBase', 'otbGAndRIndexBaseFFF', 'float, float ,float'),
  ('GAndRIndexBase', 'otb::Functor::GAndRIndexBase', 'otbGAndRIndexBaseUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('GAndRIndexBase', 'otb::Functor::GAndRIndexBase', 'otbGAndRIndexBaseUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('GAndRAndNirIndexBase', 'otb::Functor::GAndRAndNirIndexBase', 'otbGAndRAndNirIndexBaseDDDD', 'double, double, double ,double'),
  ('GAndRAndNirIndexBase', 'otb::Functor::GAndRAndNirIndexBase', 'otbGAndRAndNirIndexBaseFFFF', 'float, float, float ,float'),
  ('GAndRAndNirIndexBase', 'otb::Functor::GAndRAndNirIndexBase', 'otbGAndRAndNirIndexBaseUCUCUCUC', 'unsigned char, unsigned char, unsigned char ,unsigned char'),
  ('GAndRAndNirIndexBase', 'otb::Functor::GAndRAndNirIndexBase', 'otbGAndRAndNirIndexBaseUSUSUSUS', 'unsigned short, unsigned short, unsigned short ,unsigned short'),
  ('TM4AndTM5IndexBase', 'otb::Functor::TM4AndTM5IndexBase', 'otbTM4AndTM5IndexBaseDDD', 'double, double ,double'),
  ('TM4AndTM5IndexBase', 'otb::Functor::TM4AndTM5IndexBase', 'otbTM4AndTM5IndexBaseFFF', 'float, float ,float'),
  ('TM4AndTM5IndexBase', 'otb::Functor::TM4AndTM5IndexBase', 'otbTM4AndTM5IndexBaseUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('TM4AndTM5IndexBase', 'otb::Functor::TM4AndTM5IndexBase', 'otbTM4AndTM5IndexBaseUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('WaterIndexBase', 'otb::Functor::WaterIndexBase', 'otbWaterIndexBaseDDD', 'double, double ,double'),
  ('WaterIndexBase', 'otb::Functor::WaterIndexBase', 'otbWaterIndexBaseFFF', 'float, float ,float'),
  ('WaterIndexBase', 'otb::Functor::WaterIndexBase', 'otbWaterIndexBaseUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('WaterIndexBase', 'otb::Functor::WaterIndexBase', 'otbWaterIndexBaseUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('NDVI', 'otb::Functor::NDVI', 'otbNDVIDDD', 'double, double ,double'),
  ('NDVI', 'otb::Functor::NDVI', 'otbNDVIFFF', 'float, float ,float'),
  ('NDVI', 'otb::Functor::NDVI', 'otbNDVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('NDVI', 'otb::Functor::NDVI', 'otbNDVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('RVI', 'otb::Functor::RVI', 'otbRVIDDD', 'double, double ,double'),
  ('RVI', 'otb::Functor::RVI', 'otbRVIFFF', 'float, float ,float'),
  ('RVI', 'otb::Functor::RVI', 'otbRVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('RVI', 'otb::Functor::RVI', 'otbRVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('PVI', 'otb::Functor::PVI', 'otbPVIDDD', 'double, double ,double'),
  ('PVI', 'otb::Functor::PVI', 'otbPVIFFF', 'float, float ,float'),
  ('PVI', 'otb::Functor::PVI', 'otbPVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('PVI', 'otb::Functor::PVI', 'otbPVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('SAVI', 'otb::Functor::SAVI', 'otbSAVIDDD', 'double, double ,double'),
  ('SAVI', 'otb::Functor::SAVI', 'otbSAVIFFF', 'float, float ,float'),
  ('SAVI', 'otb::Functor::SAVI', 'otbSAVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('SAVI', 'otb::Functor::SAVI', 'otbSAVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('TSAVI', 'otb::Functor::TSAVI', 'otbTSAVIDDD', 'double, double ,double'),
  ('TSAVI', 'otb::Functor::TSAVI', 'otbTSAVIFFF', 'float, float ,float'),
  ('TSAVI', 'otb::Functor::TSAVI', 'otbTSAVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('TSAVI', 'otb::Functor::TSAVI', 'otbTSAVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('WDVI', 'otb::Functor::WDVI', 'otbWDVIDDD', 'double, double ,double'),
  ('WDVI', 'otb::Functor::WDVI', 'otbWDVIFFF', 'float, float ,float'),
  ('WDVI', 'otb::Functor::WDVI', 'otbWDVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('WDVI', 'otb::Functor::WDVI', 'otbWDVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('MSAVI', 'otb::Functor::MSAVI', 'otbMSAVIDDD', 'double, double ,double'),
  ('MSAVI', 'otb::Functor::MSAVI', 'otbMSAVIFFF', 'float, float ,float'),
  ('MSAVI', 'otb::Functor::MSAVI', 'otbMSAVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('MSAVI', 'otb::Functor::MSAVI', 'otbMSAVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('MSAVI2', 'otb::Functor::MSAVI2', 'otbMSAVI2DDD', 'double, double ,double'),
  ('MSAVI2', 'otb::Functor::MSAVI2', 'otbMSAVI2FFF', 'float, float ,float'),
  ('MSAVI2', 'otb::Functor::MSAVI2', 'otbMSAVI2UCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('MSAVI2', 'otb::Functor::MSAVI2', 'otbMSAVI2USUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('GEMI', 'otb::Functor::GEMI', 'otbGEMIDDD', 'double, double ,double'),
  ('GEMI', 'otb::Functor::GEMI', 'otbGEMIFFF', 'float, float ,float'),
  ('GEMI', 'otb::Functor::GEMI', 'otbGEMIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('GEMI', 'otb::Functor::GEMI', 'otbGEMIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('AVI', 'otb::Functor::AVI', 'otbAVIDDDD', 'double, double ,double ,double'),
  ('AVI', 'otb::Functor::AVI', 'otbAVIFFFF', 'float, float ,float ,float'),
  ('AVI', 'otb::Functor::AVI', 'otbAVIUCUCUCUC', 'unsigned char, unsigned char ,unsigned char ,unsigned char'),
  ('AVI', 'otb::Functor::AVI', 'otbAVIUSUSUSUS', 'unsigned short, unsigned short ,unsigned short ,unsigned short'),
  ('ARVI', 'otb::Functor::ARVI', 'otbARVIDDDD', 'double, double ,double ,double'),
  ('ARVI', 'otb::Functor::ARVI', 'otbARVIFFFF', 'float, float ,float ,float'),
  ('ARVI', 'otb::Functor::ARVI', 'otbARVIUCUCUCUC', 'unsigned char, unsigned char ,unsigned char ,unsigned char'),
  ('ARVI', 'otb::Functor::ARVI', 'otbARVIUSUSUSUS', 'unsigned short, unsigned short ,unsigned short ,unsigned short'),
  ('TSARVI', 'otb::Functor::TSARVI', 'otbTSARVIDDDD', 'double, double ,double ,double'),
  ('TSARVI', 'otb::Functor::TSARVI', 'otbTSARVIFFFF', 'float, float ,float ,float'),
  ('TSARVI', 'otb::Functor::TSARVI', 'otbTSARVIUCUCUCUC', 'unsigned char, unsigned char ,unsigned char ,unsigned char'),
  ('TSARVI', 'otb::Functor::TSARVI', 'otbTSARVIUSUSUSUS', 'unsigned short, unsigned short ,unsigned short ,unsigned short'),
  ('EVI', 'otb::Functor::EVI', 'otbEVIDDDD', 'double, double ,double ,double'),
  ('EVI', 'otb::Functor::EVI', 'otbEVIFFFF', 'float, float ,float ,float'),
  ('EVI', 'otb::Functor::EVI', 'otbEVIUCUCUCUC', 'unsigned char, unsigned char ,unsigned char ,unsigned char'),
  ('EVI', 'otb::Functor::EVI', 'otbEVIUSUSUSUS', 'unsigned short, unsigned short ,unsigned short ,unsigned short'),
  ('IPVI', 'otb::Functor::IPVI', 'otbIPVIDDD', 'double, double ,double'),
  ('IPVI', 'otb::Functor::IPVI', 'otbIPVIFFF', 'float, float ,float'),
  ('IPVI', 'otb::Functor::IPVI', 'otbIPVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('IPVI', 'otb::Functor::IPVI', 'otbIPVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('TNDVI', 'otb::Functor::TNDVI', 'otbTNDVIDDD', 'double, double ,double'),
  ('TNDVI', 'otb::Functor::TNDVI', 'otbTNDVIFFF', 'float, float ,float'),
  ('TNDVI', 'otb::Functor::TNDVI', 'otbTNDVIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('TNDVI', 'otb::Functor::TNDVI', 'otbTNDVIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('LAIFromNDVILogarithmic', 'otb::Functor::LAIFromNDVILogarithmic', 'otbLAIFromNDVILogarithmicDDD', 'double, double ,double'),
  ('LAIFromNDVILogarithmic', 'otb::Functor::LAIFromNDVILogarithmic', 'otbLAIFromNDVILogarithmicFFF', 'float, float ,float'),
  ('LAIFromNDVILogarithmic', 'otb::Functor::LAIFromNDVILogarithmic', 'otbLAIFromNDVILogarithmicUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('LAIFromNDVILogarithmic', 'otb::Functor::LAIFromNDVILogarithmic', 'otbLAIFromNDVILogarithmicUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('LAIFromReflectancesLinear', 'otb::Functor::LAIFromReflectancesLinear', 'otbLAIFromReflectancesLinearDDD', 'double, double ,double'),
  ('LAIFromReflectancesLinear', 'otb::Functor::LAIFromReflectancesLinear', 'otbLAIFromReflectancesLinearFFF', 'float, float ,float'),
  ('LAIFromReflectancesLinear', 'otb::Functor::LAIFromReflectancesLinear', 'otbLAIFromReflectancesLinearUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('LAIFromReflectancesLinear', 'otb::Functor::LAIFromReflectancesLinear', 'otbLAIFromReflectancesLinearUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('IR', 'otb::Functor::IR', 'otbIRDDD', 'double, double ,double'),
  ('IR', 'otb::Functor::IR', 'otbIRFFF', 'float, float ,float'),
  ('IR', 'otb::Functor::IR', 'otbIRUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('IR', 'otb::Functor::IR', 'otbIRUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('IC', 'otb::Functor::IC', 'otbICDDD', 'double, double ,double'),
  ('IC', 'otb::Functor::IC', 'otbICFFF', 'float, float ,float'),
  ('IC', 'otb::Functor::IC', 'otbICUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('IC', 'otb::Functor::IC', 'otbICUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('IB', 'otb::Functor::IB', 'otbIBDDD', 'double, double ,double'),
  ('IB', 'otb::Functor::IB', 'otbIBFFF', 'float, float ,float'),
  ('IB', 'otb::Functor::IB', 'otbIBUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('IB', 'otb::Functor::IB', 'otbIBUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('IB2', 'otb::Functor::IB2', 'otbIB2DDDD', 'double, double ,double ,double'),
  ('IB2', 'otb::Functor::IB2', 'otbIB2FFFF', 'float, float ,float ,float'),
  ('IB2', 'otb::Functor::IB2', 'otbIB2UCUCUCUC', 'unsigned char, unsigned char ,unsigned char ,unsigned char'),
  ('IB2', 'otb::Functor::IB2', 'otbIB2USUSUSUS', 'unsigned short, unsigned short ,unsigned short ,unsigned short'),
  ('NDBI', 'otb::Functor::NDBI', 'otbNDBIDDD', 'double, double ,double'),
  ('NDBI', 'otb::Functor::NDBI', 'otbNDBIFFF', 'float, float ,float'),
  ('NDBI', 'otb::Functor::NDBI', 'otbNDBIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('NDBI', 'otb::Functor::NDBI', 'otbNDBIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('ISU', 'otb::Functor::ISU', 'otbISUDDD', 'double, double ,double'),
  ('ISU', 'otb::Functor::ISU', 'otbISUFFF', 'float, float ,float'),
  ('ISU', 'otb::Functor::ISU', 'otbISUUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('ISU', 'otb::Functor::ISU', 'otbISUUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('NDWI', 'otb::Functor::NDWI', 'otbNDWIDDD', 'double, double ,double'),
  ('NDWI', 'otb::Functor::NDWI', 'otbNDWIFFF', 'float, float ,float'),
  ('NDWI', 'otb::Functor::NDWI', 'otbNDWIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('NDWI', 'otb::Functor::NDWI', 'otbNDWIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('NDWI2', 'otb::Functor::NDWI2', 'otbNDWI2DDD', 'double, double ,double'),
  ('NDWI2', 'otb::Functor::NDWI2', 'otbNDWI2FFF', 'float, float ,float'),
  ('NDWI2', 'otb::Functor::NDWI2', 'otbNDWI2UCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('NDWI2', 'otb::Functor::NDWI2', 'otbNDWI2USUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('MNDWI', 'otb::Functor::MNDWI', 'otbMNDWIDDD', 'double, double ,double'),
  ('MNDWI', 'otb::Functor::MNDWI', 'otbMNDWIFFF', 'float, float ,float'),
  ('MNDWI', 'otb::Functor::MNDWI', 'otbMNDWIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('MNDWI', 'otb::Functor::MNDWI', 'otbMNDWIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('NDPI', 'otb::Functor::NDPI', 'otbNDPIDDD', 'double, double ,double'),
  ('NDPI', 'otb::Functor::NDPI', 'otbNDPIFFF', 'float, float ,float'),
  ('NDPI', 'otb::Functor::NDPI', 'otbNDPIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('NDPI', 'otb::Functor::NDPI', 'otbNDPIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
  ('NDTI', 'otb::Functor::NDTI', 'otbNDTIDDD', 'double, double ,double'),
  ('NDTI', 'otb::Functor::NDTI', 'otbNDTIFFF', 'float, float ,float'),
  ('NDTI', 'otb::Functor::NDTI', 'otbNDTIUCUCUC', 'unsigned char, unsigned char ,unsigned char'),
  ('NDTI', 'otb::Functor::NDTI', 'otbNDTIUSUSUS', 'unsigned short, unsigned short ,unsigned short'),
)
